   This file documents the GNU C library.

   This is Edition 0.07 DRAFT, last updated 4 Oct 1996, of `The GNU C
Library Reference Manual', for Version 2.00 Beta.

   Copyright (C) 1993, '94, '95, '96 Free Software Foundation, Inc.

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

   Permission is granted to copy and distribute modified versions of
this manual under the conditions for verbatim copying, provided also
that the section entitled "GNU Library General Public License" is
included exactly as in the original, and provided that the entire
resulting derived work is distributed under the terms of a permission
notice identical to this one.

   Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that the text of the translation of the section
entitled "GNU Library General Public License" must be approved for
accuracy by the Foundation.

Summary of Library Facilities
*****************************

   This appendix is a complete list of the facilities declared within
the header files supplied with the GNU C library.  Each entry also
lists the standard or other source from which each facility is derived,
and tells you where in the manual you can find more information about
how to use it.

`void abort (void)'
     `stdlib.h' (ISO):  Aborting a Program.

`int abs (int NUMBER)'
     `stdlib.h' (ISO):  Absolute Value.

`int accept (int SOCKET, struct sockaddr *ADDR, size_t *LENGTH-PTR)'
     `sys/socket.h' (BSD):  Accepting Connections.

`int access (const char *FILENAME, int HOW)'
     `unistd.h' (POSIX.1):  Testing File Access.

`double acosh (double X)'
     `math.h' (BSD):  Hyperbolic Functions.

`double acos (double X)'
     `math.h' (ISO):  Inverse Trig Functions.

`int adjtime (const struct timeval *DELTA, struct timeval *OLDDELTA)'
     `sys/time.h' (BSD):  High-Resolution Calendar.

`AF_FILE'
     `sys/socket.h' (GNU):  Address Formats.

`AF_INET'
     `sys/socket.h' (BSD):  Address Formats.

`AF_UNIX'
     `sys/socket.h' (BSD):  Address Formats.

`AF_UNSPEC'
     `sys/socket.h' (BSD):  Address Formats.

`unsigned int alarm (unsigned int SECONDS)'
     `unistd.h' (POSIX.1):  Setting an Alarm.

`void * alloca (size_t SIZE);'
     `stdlib.h' (GNU, BSD):  Variable Size Automatic.

`tcflag_t ALTWERASE'
     `termios.h' (BSD):  Local Modes.

`int ARG_MAX'
     `limits.h' (POSIX.1):  General Limits.

`char * asctime (const struct tm *BROKENTIME)'
     `time.h' (ISO):  Formatting Date and Time.

`double asinh (double X)'
     `math.h' (BSD):  Hyperbolic Functions.

`double asin (double X)'
     `math.h' (ISO):  Inverse Trig Functions.

`int asprintf (char **PTR, const char *TEMPLATE, ...)'
     `stdio.h' (GNU):  Dynamic Output.

`void assert (int EXPRESSION)'
     `assert.h' (ISO):  Consistency Checking.

`void assert_perror (int ERRNUM)'
     `assert.h' (GNU):  Consistency Checking.

`double atan2 (double Y, double X)'
     `math.h' (ISO):  Inverse Trig Functions.

`double atanh (double X)'
     `math.h' (BSD):  Hyperbolic Functions.

`double atan (double X)'
     `math.h' (ISO):  Inverse Trig Functions.

`int atexit (void (*FUNCTION) (void))'
     `stdlib.h' (ISO):  Cleanups on Exit.

`double atof (const char *STRING)'
     `stdlib.h' (ISO):  Parsing of Floats.

`int atoi (const char *STRING)'
     `stdlib.h' (ISO):  Parsing of Integers.

`long int atol (const char *STRING)'
     `stdlib.h' (ISO):  Parsing of Integers.

`B0'
     `termios.h' (POSIX.1):  Line Speed.

`B110'
     `termios.h' (POSIX.1):  Line Speed.

`B1200'
     `termios.h' (POSIX.1):  Line Speed.

`B134'
     `termios.h' (POSIX.1):  Line Speed.

`B150'
     `termios.h' (POSIX.1):  Line Speed.

`B1800'
     `termios.h' (POSIX.1):  Line Speed.

`B19200'
     `termios.h' (POSIX.1):  Line Speed.

`B200'
     `termios.h' (POSIX.1):  Line Speed.

`B2400'
     `termios.h' (POSIX.1):  Line Speed.

`B300'
     `termios.h' (POSIX.1):  Line Speed.

`B38400'
     `termios.h' (POSIX.1):  Line Speed.

`B4800'
     `termios.h' (POSIX.1):  Line Speed.

`B50'
     `termios.h' (POSIX.1):  Line Speed.

`B600'
     `termios.h' (POSIX.1):  Line Speed.

`B75'
     `termios.h' (POSIX.1):  Line Speed.

`B9600'
     `termios.h' (POSIX.1):  Line Speed.

`int BC_BASE_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`int BC_DIM_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`int BC_DIM_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`int bcmp (const void *A1, const void *A2, size_t SIZE)'
     `string.h' (BSD):  String/Array Comparison.

`void * bcopy (void *FROM, const void *TO, size_t SIZE)'
     `string.h' (BSD):  Copying and Concatenation.

`int BC_SCALE_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`int BC_STRING_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`int bind (int SOCKET, struct sockaddr *ADDR, size_t LENGTH)'
     `sys/socket.h' (BSD):  Setting Address.

`tcflag_t BRKINT'
     `termios.h' (POSIX.1):  Input Modes.

`_BSD_SOURCE'
     (GNU):  Feature Test Macros.

`void * bsearch (const void *KEY, const void *ARRAY, size_t COUNT, size_t SIZE, comparison_fn_t COMPARE)'
     `stdlib.h' (ISO):  Array Search Function.

`int BUFSIZ'
     `stdio.h' (ISO):  Controlling Buffering.

`void * bzero (void *BLOCK, size_t SIZE)'
     `string.h' (BSD):  Copying and Concatenation.

`double cabs (struct { double real, imag; } Z)'
     `math.h' (BSD):  Absolute Value.

`void * calloc (size_t COUNT, size_t ELTSIZE)'
     `malloc.h', `stdlib.h' (ISO):  Allocating Cleared Space.

`double cbrt (double X)'
     `math.h' (BSD):  Exponents and Logarithms.

`cc_t'
     `termios.h' (POSIX.1):  Mode Data Types.

`tcflag_t CCTS_OFLOW'
     `termios.h' (BSD):  Control Modes.

`double ceil (double X)'
     `math.h' (ISO):  Rounding and Remainders.

`speed_t cfgetispeed (const struct termios *TERMIOS-P)'
     `termios.h' (POSIX.1):  Line Speed.

`speed_t cfgetospeed (const struct termios *TERMIOS-P)'
     `termios.h' (POSIX.1):  Line Speed.

`int cfmakeraw (struct termios *TERMIOS-P)'
     `termios.h' (BSD):  Noncanonical Input.

`void cfree (void *PTR)'
     `stdlib.h' (Sun):  Freeing after Malloc.

`int cfsetispeed (struct termios *TERMIOS-P, speed_t SPEED)'
     `termios.h' (POSIX.1):  Line Speed.

`int cfsetospeed (struct termios *TERMIOS-P, speed_t SPEED)'
     `termios.h' (POSIX.1):  Line Speed.

`int cfsetspeed (struct termios *TERMIOS-P, speed_t SPEED)'
     `termios.h' (BSD):  Line Speed.

`CHAR_BIT'
     `limits.h' (ISO):  Width of Type.

`CHAR_MAX'
     `limits.h' (ISO):  Range of Type.

`CHAR_MIN'
     `limits.h' (ISO):  Range of Type.

`int chdir (const char *FILENAME)'
     `unistd.h' (POSIX.1):  Working Directory.

`int CHILD_MAX'
     `limits.h' (POSIX.1):  General Limits.

`int chmod (const char *FILENAME, mode_t MODE)'
     `sys/stat.h' (POSIX.1):  Setting Permissions.

`int chown (const char *FILENAME, uid_t OWNER, gid_t GROUP)'
     `unistd.h' (POSIX.1):  File Owner.

`tcflag_t CIGNORE'
     `termios.h' (BSD):  Control Modes.

`void clearerr (FILE *STREAM)'
     `stdio.h' (ISO):  EOF and Errors.

`int CLK_TCK'
     `time.h' (POSIX.1):  Basic CPU Time.

`tcflag_t CLOCAL'
     `termios.h' (POSIX.1):  Control Modes.

`clock_t clock (void)'
     `time.h' (ISO):  Basic CPU Time.

`int CLOCKS_PER_SEC'
     `time.h' (ISO):  Basic CPU Time.

`clock_t'
     `time.h' (ISO):  Basic CPU Time.

`int closedir (DIR *DIRSTREAM)'
     `dirent.h' (POSIX.1):  Reading/Closing Directory.

`int close (int FILEDES)'
     `unistd.h' (POSIX.1):  Opening and Closing Files.

`int COLL_WEIGHTS_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`size_t confstr (int PARAMETER, char *BUF, size_t LEN)'
     `unistd.h' (POSIX.2):  String Parameters.

`int connect (int SOCKET, struct sockaddr *ADDR, size_t LENGTH)'
     `sys/socket.h' (BSD):  Connecting.

`cookie_close_function'
     `stdio.h' (GNU):  Hook Functions.

`cookie_io_functions_t'
     `stdio.h' (GNU):  Streams and Cookies.

`cookie_read_function'
     `stdio.h' (GNU):  Hook Functions.

`cookie_seek_function'
     `stdio.h' (GNU):  Hook Functions.

`cookie_write_function'
     `stdio.h' (GNU):  Hook Functions.

`double copysign (double VALUE, double SIGN)'
     `math.h' (BSD):  Normalization Functions.

`double cosh (double X)'
     `math.h' (ISO):  Hyperbolic Functions.

`double cos (double X)'
     `math.h' (ISO):  Trig Functions.

`tcflag_t CREAD'
     `termios.h' (POSIX.1):  Control Modes.

`int creat (const char *FILENAME, mode_t MODE)'
     `fcntl.h' (POSIX.1):  Opening and Closing Files.

`tcflag_t CRTS_IFLOW'
     `termios.h' (BSD):  Control Modes.

`tcflag_t CS5'
     `termios.h' (POSIX.1):  Control Modes.

`tcflag_t CS6'
     `termios.h' (POSIX.1):  Control Modes.

`tcflag_t CS7'
     `termios.h' (POSIX.1):  Control Modes.

`tcflag_t CS8'
     `termios.h' (POSIX.1):  Control Modes.

`tcflag_t CSIZE'
     `termios.h' (POSIX.1):  Control Modes.

`_CS_PATH'
     `unistd.h' (POSIX.2):  String Parameters.

`tcflag_t CSTOPB'
     `termios.h' (POSIX.1):  Control Modes.

`char * ctermid (char *STRING)'
     `stdio.h' (POSIX.1):  Identifying the Terminal.

`char * ctime (const time_t *TIME)'
     `time.h' (ISO):  Formatting Date and Time.

`char * cuserid (char *STRING)'
     `stdio.h' (POSIX.1):  Who Logged In.

`int daylight'
     `time.h' (SVID):  Time Zone Functions.

`DBL_DIG'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_EPSILON'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_MANT_DIG'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_MAX_10_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_MAX_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_MAX'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_MIN_10_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_MIN_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`DBL_MIN'
     `float.h' (ISO):  Floating Point Parameters.

`dev_t'
     `sys/types.h' (POSIX.1):  Attribute Meanings.

`double difftime (time_t TIME1, time_t TIME0)'
     `time.h' (ISO):  Simple Calendar Time.

`DIR'
     `dirent.h' (POSIX.1):  Opening a Directory.

`div_t div (int NUMERATOR, int DENOMINATOR)'
     `stdlib.h' (ISO):  Integer Division.

`div_t'
     `stdlib.h' (ISO):  Integer Division.

`double drem (double NUMERATOR, double DENOMINATOR)'
     `math.h' (BSD):  Rounding and Remainders.

`int dup2 (int OLD, int NEW)'
     `unistd.h' (POSIX.1):  Duplicating Descriptors.

`int dup (int OLD)'
     `unistd.h' (POSIX.1):  Duplicating Descriptors.

`int E2BIG'
     `errno.h' (POSIX.1: Argument list too long):  Error Codes.

`int EACCES'
     `errno.h' (POSIX.1: Permission denied):  Error Codes.

`int EADDRINUSE'
     `errno.h' (BSD: Address already in use):  Error Codes.

`int EADDRNOTAVAIL'
     `errno.h' (BSD: Cannot assign requested address):  Error Codes.

`int EADV'
     `errno.h' (Linux???: Advertise error):  Error Codes.

`int EAFNOSUPPORT'
     `errno.h' (BSD: Address family not supported by protocol):
     Error Codes.

`int EAGAIN'
     `errno.h' (POSIX.1: Resource temporarily unavailable):
     Error Codes.

`int EALREADY'
     `errno.h' (BSD: Operation already in progress):  Error Codes.

`int EAUTH'
     `errno.h' (BSD: Authentication error):  Error Codes.

`int EBACKGROUND'
     `errno.h' (GNU: Inappropriate operation for background process):
     Error Codes.

`int EBADE'
     `errno.h' (Linux???: Invalid exchange):  Error Codes.

`int EBADFD'
     `errno.h' (Linux???: File descriptor in bad state):  Error Codes.

`int EBADF'
     `errno.h' (POSIX.1: Bad file descriptor):  Error Codes.

`int EBADMSG'
     `errno.h' (XOPEN: Bad message):  Error Codes.

`int EBADR'
     `errno.h' (Linux???: Invalid request descriptor):  Error Codes.

`int EBADRPC'
     `errno.h' (BSD: RPC struct is bad):  Error Codes.

`int EBADRQC'
     `errno.h' (Linux???: Invalid request code):  Error Codes.

`int EBADSLT'
     `errno.h' (Linux???: Invalid slot):  Error Codes.

`int EBFONT'
     `errno.h' (Linux???: Bad font file format):  Error Codes.

`int EBUSY'
     `errno.h' (POSIX.1: Device or resource busy):  Error Codes.

`int ECHILD'
     `errno.h' (POSIX.1: No child processes):  Error Codes.

`tcflag_t ECHOCTL'
     `termios.h' (BSD):  Local Modes.

`tcflag_t ECHOE'
     `termios.h' (POSIX.1):  Local Modes.

`tcflag_t ECHO'
     `termios.h' (POSIX.1):  Local Modes.

`tcflag_t ECHOKE'
     `termios.h' (BSD):  Local Modes.

`tcflag_t ECHOK'
     `termios.h' (POSIX.1):  Local Modes.

`tcflag_t ECHONL'
     `termios.h' (POSIX.1):  Local Modes.

`tcflag_t ECHOPRT'
     `termios.h' (BSD):  Local Modes.

`int ECHRNG'
     `errno.h' (Linux???: Channel number out of range):  Error Codes.

`int ECOMM'
     `errno.h' (Linux???: Communication error on send):  Error Codes.

`int ECONNABORTED'
     `errno.h' (BSD: Software caused connection abort):  Error Codes.

`int ECONNREFUSED'
     `errno.h' (BSD: Connection refused):  Error Codes.

`int ECONNRESET'
     `errno.h' (BSD: Connection reset by peer):  Error Codes.

`int EDEADLK'
     `errno.h' (POSIX.1: Resource deadlock avoided):  Error Codes.

`int EDEADLOCK'
     `errno.h' (Linux???: File locking deadlock error):  Error Codes.

`int EDESTADDRREQ'
     `errno.h' (BSD: Destination address required):  Error Codes.

`int EDIED'
     `errno.h' (GNU: Translator died):  Error Codes.

`int ED'
     `errno.h' (GNU: ?):  Error Codes.

`int EDOM'
     `errno.h' (ISO: Numerical argument out of domain):  Error Codes.

`int EDOTDOT'
     `errno.h' (Linux???: RFS specific error):  Error Codes.

`int EDQUOT'
     `errno.h' (BSD: Disc quota exceeded):  Error Codes.

`int EEXIST'
     `errno.h' (POSIX.1: File exists):  Error Codes.

`int EFAULT'
     `errno.h' (POSIX.1: Bad address):  Error Codes.

`int EFBIG'
     `errno.h' (POSIX.1: File too large):  Error Codes.

`int EFTYPE'
     `errno.h' (BSD: Inappropriate file type or format):  Error Codes.

`int EGRATUITOUS'
     `errno.h' (GNU: Gratuitous error):  Error Codes.

`int EGREGIOUS'
     `errno.h' (GNU: You really blew it this time):  Error Codes.

`int EHOSTDOWN'
     `errno.h' (BSD: Host is down):  Error Codes.

`int EHOSTUNREACH'
     `errno.h' (BSD: No route to host):  Error Codes.

`int EIDRM'
     `errno.h' (XOPEN: Identifier removed):  Error Codes.

`int EIEIO'
     `errno.h' (GNU: Computer bought the farm):  Error Codes.

`int EILSEQ'
     `errno.h' (ISO: Invalid or incomplete multibyte or wide
     character):  Error Codes.

`int EINPROGRESS'
     `errno.h' (BSD: Operation now in progress):  Error Codes.

`int EINTR'
     `errno.h' (POSIX.1: Interrupted system call):  Error Codes.

`int EINVAL'
     `errno.h' (POSIX.1: Invalid argument):  Error Codes.

`int EIO'
     `errno.h' (POSIX.1: Input/output error):  Error Codes.

`int EISCONN'
     `errno.h' (BSD: Transport endpoint is already connected):
     Error Codes.

`int EISDIR'
     `errno.h' (POSIX.1: Is a directory):  Error Codes.

`int EISNAM'
     `errno.h' (Linux???: Is a named type file):  Error Codes.

`int EL2HLT'
     `errno.h' (Linux???: Level 2 halted):  Error Codes.

`int EL2NSYNC'
     `errno.h' (Linux???: Level 2 not synchronized):  Error Codes.

`int EL3HLT'
     `errno.h' (Linux???: Level 3 halted):  Error Codes.

`int EL3RST'
     `errno.h' (Linux???: Level 3 reset):  Error Codes.

`int ELIBACC'
     `errno.h' (Linux???: Can not access a needed shared library):
     Error Codes.

`int ELIBBAD'
     `errno.h' (Linux???: Accessing a corrupted shared library):
     Error Codes.

`int ELIBEXEC'
     `errno.h' (Linux???: Cannot exec a shared library directly):
     Error Codes.

`int ELIBMAX'
     `errno.h' (Linux???: Attempting to link in too many shared
     libraries):  Error Codes.

`int ELIBSCN'
     `errno.h' (Linux???: .lib section in a.out corrupted):
     Error Codes.

`int ELNRNG'
     `errno.h' (Linux???: Link number out of range):  Error Codes.

`int ELOOP'
     `errno.h' (BSD: Too many levels of symbolic links):  Error Codes.

`int EMFILE'
     `errno.h' (POSIX.1: Too many open files):  Error Codes.

`int EMLINK'
     `errno.h' (POSIX.1: Too many links):  Error Codes.

`int EMSGSIZE'
     `errno.h' (BSD: Message too long):  Error Codes.

`int EMULTIHOP'
     `errno.h' (XOPEN: Multihop attempted):  Error Codes.

`int ENAMETOOLONG'
     `errno.h' (POSIX.1: File name too long):  Error Codes.

`int ENAVAIL'
     `errno.h' (Linux???: No XENIX semaphores available):  Error Codes.

`void endgrent (void)'
     `grp.h' (SVID, BSD):  Scanning All Groups.

`void endhostent ()'
     `netdb.h' (BSD):  Host Names.

`void endnetent (void)'
     `netdb.h' (BSD):  Networks Database.

`void endnetgrent (void)'
     `netdb.h' (netdb.h):  Lookup Netgroup.

`void endprotoent (void)'
     `netdb.h' (BSD):  Protocols Database.

`void endpwent (void)'
     `pwd.h' (SVID, BSD):  Scanning All Users.

`void endservent (void)'
     `netdb.h' (BSD):  Services Database.

`int ENEEDAUTH'
     `errno.h' (BSD: Need authenticator):  Error Codes.

`int ENETDOWN'
     `errno.h' (BSD: Network is down):  Error Codes.

`int ENETRESET'
     `errno.h' (BSD: Network dropped connection on reset):  Error Codes.

`int ENETUNREACH'
     `errno.h' (BSD: Network is unreachable):  Error Codes.

`int ENFILE'
     `errno.h' (POSIX.1: Too many open files in system):  Error Codes.

`int ENOANO'
     `errno.h' (Linux???: No anode):  Error Codes.

`int ENOBUFS'
     `errno.h' (BSD: No buffer space available):  Error Codes.

`int ENOCSI'
     `errno.h' (Linux???: No CSI structure available):  Error Codes.

`int ENODATA'
     `errno.h' (XOPEN: No data available):  Error Codes.

`int ENODEV'
     `errno.h' (POSIX.1: Operation not supported by device):
     Error Codes.

`int ENOENT'
     `errno.h' (POSIX.1: No such file or directory):  Error Codes.

`int ENOEXEC'
     `errno.h' (POSIX.1: Exec format error):  Error Codes.

`int ENOLCK'
     `errno.h' (POSIX.1: No locks available):  Error Codes.

`int ENOLINK'
     `errno.h' (XOPEN: Link has been severed):  Error Codes.

`int ENOMEM'
     `errno.h' (POSIX.1: Cannot allocate memory):  Error Codes.

`int ENOMSG'
     `errno.h' (XOPEN: No message of desired type):  Error Codes.

`int ENONET'
     `errno.h' (Linux???: Machine is not on the network):  Error Codes.

`int ENOPKG'
     `errno.h' (Linux???: Package not installed):  Error Codes.

`int ENOPROTOOPT'
     `errno.h' (BSD: Protocol not available):  Error Codes.

`int ENOSPC'
     `errno.h' (POSIX.1: No space left on device):  Error Codes.

`int ENOSR'
     `errno.h' (XOPEN: Out of streams resources):  Error Codes.

`int ENOSTR'
     `errno.h' (XOPEN: Device not a stream):  Error Codes.

`int ENOSYS'
     `errno.h' (POSIX.1: Function not implemented):  Error Codes.

`int ENOTBLK'
     `errno.h' (BSD: Block device required):  Error Codes.

`int ENOTCONN'
     `errno.h' (BSD: Transport endpoint is not connected):  Error Codes.

`int ENOTDIR'
     `errno.h' (POSIX.1: Not a directory):  Error Codes.

`int ENOTEMPTY'
     `errno.h' (POSIX.1: Directory not empty):  Error Codes.

`int ENOTNAM'
     `errno.h' (Linux???: Not a XENIX named type file):  Error Codes.

`int ENOTSOCK'
     `errno.h' (BSD: Socket operation on non-socket):  Error Codes.

`int ENOTTY'
     `errno.h' (POSIX.1: Inappropriate ioctl for device):  Error Codes.

`int ENOTUNIQ'
     `errno.h' (Linux???: Name not unique on network):  Error Codes.

`char ** environ'
     `unistd.h' (POSIX.1):  Environment Access.

`int ENXIO'
     `errno.h' (POSIX.1: Device not configured):  Error Codes.

`int EOF'
     `stdio.h' (ISO):  EOF and Errors.

`int EOPNOTSUPP'
     `errno.h' (BSD: Operation not supported):  Error Codes.

`int EOVERFLOW'
     `errno.h' (XOPEN: Value too large for defined data type):
     Error Codes.

`int EPERM'
     `errno.h' (POSIX.1: Operation not permitted):  Error Codes.

`int EPFNOSUPPORT'
     `errno.h' (BSD: Protocol family not supported):  Error Codes.

`int EPIPE'
     `errno.h' (POSIX.1: Broken pipe):  Error Codes.

`int EPROCLIM'
     `errno.h' (BSD: Too many processes):  Error Codes.

`int EPROCUNAVAIL'
     `errno.h' (BSD: RPC bad procedure for program):  Error Codes.

`int EPROGMISMATCH'
     `errno.h' (BSD: RPC program version wrong):  Error Codes.

`int EPROGUNAVAIL'
     `errno.h' (BSD: RPC program not available):  Error Codes.

`int EPROTO'
     `errno.h' (XOPEN: Protocol error):  Error Codes.

`int EPROTONOSUPPORT'
     `errno.h' (BSD: Protocol not supported):  Error Codes.

`int EPROTOTYPE'
     `errno.h' (BSD: Protocol wrong type for socket):  Error Codes.

`int EQUIV_CLASS_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`int ERANGE'
     `errno.h' (ISO: Numerical result out of range):  Error Codes.

`int EREMCHG'
     `errno.h' (Linux???: Remote address changed):  Error Codes.

`int EREMOTEIO'
     `errno.h' (Linux???: Remote I/O error):  Error Codes.

`int EREMOTE'
     `errno.h' (BSD: Object is remote):  Error Codes.

`int ERESTART'
     `errno.h' (Linux???: Interrupted system call should be restarted):
     Error Codes.

`int EROFS'
     `errno.h' (POSIX.1: Read-only file system):  Error Codes.

`int ERPCMISMATCH'
     `errno.h' (BSD: RPC version wrong):  Error Codes.

`volatile int errno'
     `errno.h' (ISO):  Checking for Errors.

`int ESHUTDOWN'
     `errno.h' (BSD: Cannot send after transport endpoint shutdown):
     Error Codes.

`int ESOCKTNOSUPPORT'
     `errno.h' (BSD: Socket type not supported):  Error Codes.

`int ESPIPE'
     `errno.h' (POSIX.1: Illegal seek):  Error Codes.

`int ESRCH'
     `errno.h' (POSIX.1: No such process):  Error Codes.

`int ESRMNT'
     `errno.h' (Linux???: Srmount error):  Error Codes.

`int ESTALE'
     `errno.h' (BSD: Stale NFS file handle):  Error Codes.

`int ESTRPIPE'
     `errno.h' (Linux???: Streams pipe error):  Error Codes.

`int ETIMEDOUT'
     `errno.h' (BSD: Connection timed out):  Error Codes.

`int ETIME'
     `errno.h' (XOPEN: Timer expired):  Error Codes.

`int ETOOMANYREFS'
     `errno.h' (BSD: Too many references: cannot splice):  Error Codes.

`int ETXTBSY'
     `errno.h' (BSD: Text file busy):  Error Codes.

`int EUCLEAN'
     `errno.h' (Linux???: Structure needs cleaning):  Error Codes.

`int EUNATCH'
     `errno.h' (Linux???: Protocol driver not attached):  Error Codes.

`int EUSERS'
     `errno.h' (BSD: Too many users):  Error Codes.

`int EWOULDBLOCK'
     `errno.h' (BSD: Operation would block):  Error Codes.

`int EXDEV'
     `errno.h' (POSIX.1: Invalid cross-device link):  Error Codes.

`int execle (const char *FILENAME, const char *ARG0, char *const ENV[], ...)'
     `unistd.h' (POSIX.1):  Executing a File.

`int execl (const char *FILENAME, const char *ARG0, ...)'
     `unistd.h' (POSIX.1):  Executing a File.

`int execlp (const char *FILENAME, const char *ARG0, ...)'
     `unistd.h' (POSIX.1):  Executing a File.

`int execve (const char *FILENAME, char *const ARGV[], char *const ENV[])'
     `unistd.h' (POSIX.1):  Executing a File.

`int execv (const char *FILENAME, char *const ARGV[])'
     `unistd.h' (POSIX.1):  Executing a File.

`int execvp (const char *FILENAME, char *const ARGV[])'
     `unistd.h' (POSIX.1):  Executing a File.

`int EXFULL'
     `errno.h' (Linux???: Exchange full):  Error Codes.

`int EXIT_FAILURE'
     `stdlib.h' (ISO):  Exit Status.

`void _exit (int STATUS)'
     `unistd.h' (POSIX.1):  Termination Internals.

`void exit (int STATUS)'
     `stdlib.h' (ISO):  Normal Termination.

`int EXIT_SUCCESS'
     `stdlib.h' (ISO):  Exit Status.

`double exp (double X)'
     `math.h' (ISO):  Exponents and Logarithms.

`double expm1 (double X)'
     `math.h' (BSD):  Exponents and Logarithms.

`int EXPR_NEST_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`double fabs (double NUMBER)'
     `math.h' (ISO):  Absolute Value.

`int fchmod (int FILEDES, int MODE)'
     `sys/stat.h' (BSD):  Setting Permissions.

`int fchown (int FILEDES, int OWNER, int GROUP)'
     `unistd.h' (BSD):  File Owner.

`int fclean (FILE *STREAM)'
     `stdio.h' (GNU):  Cleaning Streams.

`int fclose (FILE *STREAM)'
     `stdio.h' (ISO):  Closing Streams.

`int fcntl (int FILEDES, int COMMAND, ...)'
     `fcntl.h' (POSIX.1):  Control Operations.

`int FD_CLOEXEC'
     `fcntl.h' (POSIX.1):  Descriptor Flags.

`void FD_CLR (int FILEDES, fd_set *SET)'
     `sys/types.h' (BSD):  Waiting for I/O.

`int FD_ISSET (int FILEDES, fd_set *SET)'
     `sys/types.h' (BSD):  Waiting for I/O.

`FILE * fdopen (int FILEDES, const char *OPENTYPE)'
     `stdio.h' (POSIX.1):  Descriptors and Streams.

`void FD_SET (int FILEDES, fd_set *SET)'
     `sys/types.h' (BSD):  Waiting for I/O.

`fd_set'
     `sys/types.h' (BSD):  Waiting for I/O.

`int FD_SETSIZE'
     `sys/types.h' (BSD):  Waiting for I/O.

`int F_DUPFD'
     `fcntl.h' (POSIX.1):  Duplicating Descriptors.

`void FD_ZERO (fd_set *SET)'
     `sys/types.h' (BSD):  Waiting for I/O.

`int feof (FILE *STREAM)'
     `stdio.h' (ISO):  EOF and Errors.

`int ferror (FILE *STREAM)'
     `stdio.h' (ISO):  EOF and Errors.

`int fflush (FILE *STREAM)'
     `stdio.h' (ISO):  Flushing Buffers.

`int fgetc (FILE *STREAM)'
     `stdio.h' (ISO):  Character Input.

`int F_GETFD'
     `fcntl.h' (POSIX.1):  Descriptor Flags.

`int F_GETFL'
     `fcntl.h' (POSIX.1):  Getting File Status Flags.

`struct group * fgetgrent (FILE *STREAM)'
     `grp.h' (SVID):  Scanning All Groups.

`int fgetgrent_r (FILE *STREAM, struct group *RESULT_BUF, char *BUFFER, size_t BUFLEN, struct group **RESULT)'
     `grp.h' (GNU):  Scanning All Groups.

`int F_GETLK'
     `fcntl.h' (POSIX.1):  File Locks.

`int F_GETOWN'
     `fcntl.h' (BSD):  Interrupt Input.

`int fgetpos (FILE *STREAM, fpos_t *POSITION)'
     `stdio.h' (ISO):  Portable Positioning.

`struct passwd * fgetpwent (FILE *STREAM)'
     `pwd.h' (SVID):  Scanning All Users.

`int fgetpwent_r (FILE *STREAM, struct passwd *RESULT_BUF, char *BUFFER, size_t BUFLEN, struct passwd **RESULT)'
     `pwd.h' (GNU):  Scanning All Users.

`char * fgets (char *S, int COUNT, FILE *STREAM)'
     `stdio.h' (ISO):  Line Input.

`FILE'
     `stdio.h' (ISO):  Streams.

`int FILENAME_MAX'
     `stdio.h' (ISO):  Limits for Files.

`int fileno (FILE *STREAM)'
     `stdio.h' (POSIX.1):  Descriptors and Streams.

`int finite (double X)'
     `math.h' (BSD):  Predicates on Floats.

`double floor (double X)'
     `math.h' (ISO):  Rounding and Remainders.

`FLT_DIG'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_EPSILON'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_MANT_DIG'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_MAX_10_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_MAX_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_MAX'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_MIN_10_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_MIN_EXP'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_MIN'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_RADIX'
     `float.h' (ISO):  Floating Point Parameters.

`FLT_ROUNDS'
     `float.h' (ISO):  Floating Point Parameters.

`tcflag_t FLUSHO'
     `termios.h' (BSD):  Local Modes.

`FILE * fmemopen (void *BUF, size_t SIZE, const char *OPENTYPE)'
     `stdio.h' (GNU):  String Streams.

`double fmod (double NUMERATOR, double DENOMINATOR)'
     `math.h' (ISO):  Rounding and Remainders.

`int fnmatch (const char *PATTERN, const char *STRING, int FLAGS)'
     `fnmatch.h' (POSIX.2):  Wildcard Matching.

`FNM_CASEFOLD'
     `fnmatch.h' (GNU):  Wildcard Matching.

`FNM_FILE_NAME'
     `fnmatch.h' (GNU):  Wildcard Matching.

`FNM_LEADING_DIR'
     `fnmatch.h' (GNU):  Wildcard Matching.

`FNM_NOESCAPE'
     `fnmatch.h' (POSIX.2):  Wildcard Matching.

`FNM_PATHNAME'
     `fnmatch.h' (POSIX.2):  Wildcard Matching.

`FNM_PERIOD'
     `fnmatch.h' (POSIX.2):  Wildcard Matching.

`int F_OK'
     `unistd.h' (POSIX.1):  Testing File Access.

`FILE * fopencookie (void *COOKIE, const char *OPENTYPE, cookie_io_functions_t IO-FUNCTIONS)'
     `stdio.h' (GNU):  Streams and Cookies.

`FILE * fopen (const char *FILENAME, const char *OPENTYPE)'
     `stdio.h' (ISO):  Opening Streams.

`int FOPEN_MAX'
     `stdio.h' (ISO):  Opening Streams.

`pid_t fork (void)'
     `unistd.h' (POSIX.1):  Creating a Process.

`long int fpathconf (int FILEDES, int PARAMETER)'
     `unistd.h' (POSIX.1):  Pathconf.

`FPE_DECOVF_TRAP'
     `signal.h' (BSD):  Program Error Signals.

`FPE_FLTDIV_FAULT'
     `signal.h' (BSD):  Program Error Signals.

`FPE_FLTDIV_TRAP'
     `signal.h' (BSD):  Program Error Signals.

`FPE_FLTOVF_FAULT'
     `signal.h' (BSD):  Program Error Signals.

`FPE_FLTOVF_TRAP'
     `signal.h' (BSD):  Program Error Signals.

`FPE_FLTUND_FAULT'
     `signal.h' (BSD):  Program Error Signals.

`FPE_FLTUND_TRAP'
     `signal.h' (BSD):  Program Error Signals.

`FPE_INTDIV_TRAP'
     `signal.h' (BSD):  Program Error Signals.

`FPE_INTOVF_TRAP'
     `signal.h' (BSD):  Program Error Signals.

`FPE_SUBRNG_TRAP'
     `signal.h' (BSD):  Program Error Signals.

`fpos_t'
     `stdio.h' (ISO):  Portable Positioning.

`int fprintf (FILE *STREAM, const char *TEMPLATE, ...)'
     `stdio.h' (ISO):  Formatted Output Functions.

`int fputc (int C, FILE *STREAM)'
     `stdio.h' (ISO):  Simple Output.

`int fputs (const char *S, FILE *STREAM)'
     `stdio.h' (ISO):  Simple Output.

`F_RDLCK'
     `fcntl.h' (POSIX.1):  File Locks.

`size_t fread (void *DATA, size_t SIZE, size_t COUNT, FILE *STREAM)'
     `stdio.h' (ISO):  Block Input/Output.

`__free_hook'
     `malloc.h' (GNU):  Hooks for Malloc.

`void free (void *PTR)'
     `malloc.h', `stdlib.h' (ISO):  Freeing after Malloc.

`FILE * freopen (const char *FILENAME, const char *OPENTYPE, FILE *STREAM)'
     `stdio.h' (ISO):  Opening Streams.

`double frexp (double VALUE, int *EXPONENT)'
     `math.h' (ISO):  Normalization Functions.

`int fscanf (FILE *STREAM, const char *TEMPLATE, ...)'
     `stdio.h' (ISO):  Formatted Input Functions.

`int fseek (FILE *STREAM, long int OFFSET, int WHENCE)'
     `stdio.h' (ISO):  File Positioning.

`int F_SETFD'
     `fcntl.h' (POSIX.1):  Descriptor Flags.

`int F_SETFL'
     `fcntl.h' (POSIX.1):  Getting File Status Flags.

`int F_SETLK'
     `fcntl.h' (POSIX.1):  File Locks.

`int F_SETLKW'
     `fcntl.h' (POSIX.1):  File Locks.

`int F_SETOWN'
     `fcntl.h' (BSD):  Interrupt Input.

`int fsetpos (FILE *STREAM, const fpos_t POSITION)'
     `stdio.h' (ISO):  Portable Positioning.

`int fstat (int FILEDES, struct stat *BUF)'
     `sys/stat.h' (POSIX.1):  Reading Attributes.

`long int ftell (FILE *STREAM)'
     `stdio.h' (ISO):  File Positioning.

`F_UNLCK'
     `fcntl.h' (POSIX.1):  File Locks.

`size_t fwrite (const void *DATA, size_t SIZE, size_t COUNT, FILE *STREAM)'
     `stdio.h' (ISO):  Block Input/Output.

`F_WRLCK'
     `fcntl.h' (POSIX.1):  File Locks.

`int getchar (void)'
     `stdio.h' (ISO):  Character Input.

`int getc (FILE *STREAM)'
     `stdio.h' (ISO):  Character Input.

`char * getcwd (char *BUFFER, size_t SIZE)'
     `unistd.h' (POSIX.1):  Working Directory.

`ssize_t getdelim (char **LINEPTR, size_t *N, int DELIMITER, FILE *STREAM)'
     `stdio.h' (GNU):  Line Input.

`gid_t getegid (void)'
     `unistd.h' (POSIX.1):  Reading Persona.

`char * getenv (const char *NAME)'
     `stdlib.h' (ISO):  Environment Access.

`uid_t geteuid (void)'
     `unistd.h' (POSIX.1):  Reading Persona.

`gid_t getgid (void)'
     `unistd.h' (POSIX.1):  Reading Persona.

`struct group * getgrent (void)'
     `grp.h' (SVID, BSD):  Scanning All Groups.

`int getgrent_r (struct group *RESULT_BUF, char *BUFFER, size_t BUFLEN, struct group **RESULT)'
     `grp.h' (GNU):  Scanning All Groups.

`struct group * getgrgid (gid_t GID)'
     `grp.h' (POSIX.1):  Lookup Group.

`int getgrgid_r (gid_t GID, struct group *RESULT_BUF, char *BUFFER, size_t BUFLEN, struct group **RESULT)'
     `grp.h' (POSIX.1c):  Lookup Group.

`struct group * getgrnam (const char *NAME)'
     `grp.h' (SVID, BSD):  Lookup Group.

`int getgrnam_r (const char *NAME, struct group *RESULT_BUF, char *BUFFER, size_t BUFLEN, struct group **RESULT)'
     `grp.h' (POSIX.1c):  Lookup Group.

`int getgroups (int COUNT, gid_t *GROUPS)'
     `unistd.h' (POSIX.1):  Reading Persona.

`struct hostent * gethostbyaddr (const char *ADDR, int LENGTH, int FORMAT)'
     `netdb.h' (BSD):  Host Names.

`struct hostent * gethostbyname (const char *NAME)'
     `netdb.h' (BSD):  Host Names.

`struct hostent * gethostent ()'
     `netdb.h' (BSD):  Host Names.

`long int gethostid (void)'
     `unistd.h' (BSD):  Host Identification.

`int gethostname (char *NAME, size_t SIZE)'
     `unistd.h' (BSD):  Host Identification.

`int getitimer (int WHICH, struct itimerval *OLD)'
     `sys/time.h' (BSD):  Setting an Alarm.

`ssize_t getline (char **LINEPTR, size_t *N, FILE *STREAM)'
     `stdio.h' (GNU):  Line Input.

`char * getlogin (void)'
     `unistd.h' (POSIX.1):  Who Logged In.

`struct netent * getnetbyaddr (long NET, int TYPE)'
     `netdb.h' (BSD):  Networks Database.

`struct netent * getnetbyname (const char *NAME)'
     `netdb.h' (BSD):  Networks Database.

`struct netent * getnetent (void)'
     `netdb.h' (BSD):  Networks Database.

`int getnetgrent (char **HOSTP, char **USERP, char **DOMAINP)'
     `netdb.h' (netdb.h):  Lookup Netgroup.

`int getnetgrent_r (char **HOSTP, char **USERP, char **DOMAINP, char *BUFFER, int BUFLEN)'
     `netdb.h' (netdb.h):  Lookup Netgroup.

`int getopt (int ARGC, char **ARGV, const char *OPTIONS)'
     `unistd.h' (POSIX.2):  Parsing Options.

`int getopt_long (int ARGC, char **ARGV, const char *SHORTOPTS, struct option *LONGOPTS, int *INDEXPTR)'
     `getopt.h' (GNU):  Long Options.

`int getpeername (int SOCKET, struct sockaddr *ADDR, size_t *LENGTH-PTR)'
     `sys/socket.h' (BSD):  Who is Connected.

`pid_t getpgrp (pid_t PID)'
     `unistd.h' (BSD):  Process Group Functions.

`pid_t getpgrp (void)'
     `unistd.h' (POSIX.1):  Process Group Functions.

`pid_t getpid (void)'
     `unistd.h' (POSIX.1):  Process Identification.

`pid_t getppid (void)'
     `unistd.h' (POSIX.1):  Process Identification.

`int getpriority (int CLASS, int ID)'
     `sys/resource.h' (BSD):  Priority.

`struct protoent * getprotobyname (const char *NAME)'
     `netdb.h' (BSD):  Protocols Database.

`struct protoent * getprotobynumber (int PROTOCOL)'
     `netdb.h' (BSD):  Protocols Database.

`struct protoent * getprotoent (void)'
     `netdb.h' (BSD):  Protocols Database.

`struct passwd * getpwent (void)'
     `pwd.h' (POSIX.1):  Scanning All Users.

`int getpwent_r (struct passwd *RESULT_BUF, char *BUFFER, int BUFLEN, struct passwd **RESULT)'
     `pwd.h' (GNU):  Scanning All Users.

`struct passwd * getpwnam (const char *NAME)'
     `pwd.h' (POSIX.1):  Lookup User.

`int getpwnam_r (const char *NAME, struct passwd *RESULT_BUF, char *BUFFER, size_t BUFLEN, struct passwd **RESULT)'
     `pwd.h' (POSIX.1c):  Lookup User.

`struct passwd * getpwuid (uid_t UID)'
     `pwd.h' (POSIX.1):  Lookup User.

`int getpwuid_r (uid_t UID, struct passwd *RESULT_BUF, char *BUFFER, size_t BUFLEN, struct passwd **RESULT)'
     `pwd.h' (POSIX.1c):  Lookup User.

`int getrlimit (int RESOURCE, struct rlimit *RLP)'
     `sys/resource.h' (BSD):  Limits on Resources.

`int getrusage (int PROCESSES, struct rusage *RUSAGE)'
     `sys/resource.h' (BSD):  Resource Usage.

`struct servent * getservbyname (const char *NAME, const char *PROTO)'
     `netdb.h' (BSD):  Services Database.

`struct servent * getservbyport (int PORT, const char *PROTO)'
     `netdb.h' (BSD):  Services Database.

`struct servent * getservent (void)'
     `netdb.h' (BSD):  Services Database.

`char * gets (char *S)'
     `stdio.h' (ISO):  Line Input.

`int getsockname (int SOCKET, struct sockaddr *ADDR, size_t *LENGTH-PTR)'
     `sys/socket.h' (BSD):  Reading Address.

`int getsockopt (int SOCKET, int LEVEL, int OPTNAME, void *OPTVAL, size_t *OPTLEN-PTR)'
     `sys/socket.h' (BSD):  Socket Option Functions.

`int getsubopt (char **OPTIONP, const char* const *TOKENS, char **VALUEP)'
     `stdlib.h' (stdlib.h):  Suboptions.

`int gettimeofday (struct timeval *TP, struct timezone *TZP)'
     `sys/time.h' (BSD):  High-Resolution Calendar.

`uid_t getuid (void)'
     `unistd.h' (POSIX.1):  Reading Persona.

`mode_t getumask (void)'
     `sys/stat.h' (GNU):  Setting Permissions.

`char * getwd (char *BUFFER)'
     `unistd.h' (BSD):  Working Directory.

`int getw (FILE *STREAM)'
     `stdio.h' (SVID):  Character Input.

`gid_t'
     `sys/types.h' (POSIX.1):  Reading Persona.

`GLOB_ABORTED'
     `glob.h' (POSIX.2):  Calling Glob.

`GLOB_APPEND'
     `glob.h' (POSIX.2):  Flags for Globbing.

`GLOB_DOOFFS'
     `glob.h' (POSIX.2):  Flags for Globbing.

`GLOB_ERR'
     `glob.h' (POSIX.2):  Flags for Globbing.

`int glob (const char *PATTERN, int FLAGS, int (*ERRFUNC) (const char *FILENAME, int ERROR-CODE), glob_t *VECTOR-PTR)'
     `glob.h' (POSIX.2):  Calling Glob.

`GLOB_MARK'
     `glob.h' (POSIX.2):  Flags for Globbing.

`GLOB_NOCHECK'
     `glob.h' (POSIX.2):  Flags for Globbing.

`GLOB_NOESCAPE'
     `glob.h' (POSIX.2):  Flags for Globbing.

`GLOB_NOMATCH'
     `glob.h' (POSIX.2):  Calling Glob.

`GLOB_NOSORT'
     `glob.h' (POSIX.2):  Flags for Globbing.

`GLOB_NOSPACE'
     `glob.h' (POSIX.2):  Calling Glob.

`glob_t'
     `glob.h' (POSIX.2):  Calling Glob.

`struct tm * gmtime (const time_t *TIME)'
     `time.h' (ISO):  Broken-down Time.

`_GNU_SOURCE'
     (GNU):  Feature Test Macros.

`int gsignal (int SIGNUM)'
     `signal.h' (SVID):  Signaling Yourself.

`HOST_NOT_FOUND'
     `netdb.h' (BSD):  Host Names.

`unsigned long int htonl (unsigned long int HOSTLONG)'
     `netinet/in.h' (BSD):  Byte Order.

`unsigned short int htons (unsigned short int HOSTSHORT)'
     `netinet/in.h' (BSD):  Byte Order.

`float HUGE_VALf'
     `math.h' (GNU):  Domain and Range Errors.

`double HUGE_VAL'
     `math.h' (ISO):  Domain and Range Errors.

`long double HUGE_VALl'
     `math.h' (GNU):  Domain and Range Errors.

`tcflag_t HUPCL'
     `termios.h' (POSIX.1):  Control Modes.

`double hypot (double X, double Y)'
     `math.h' (BSD):  Exponents and Logarithms.

`tcflag_t ICANON'
     `termios.h' (POSIX.1):  Local Modes.

`tcflag_t ICRNL'
     `termios.h' (POSIX.1):  Input Modes.

`tcflag_t IEXTEN'
     `termios.h' (POSIX.1):  Local Modes.

`tcflag_t IGNBRK'
     `termios.h' (POSIX.1):  Input Modes.

`tcflag_t IGNCR'
     `termios.h' (POSIX.1):  Input Modes.

`tcflag_t IGNPAR'
     `termios.h' (POSIX.1):  Input Modes.

`tcflag_t IMAXBEL'
     `termios.h' (BSD):  Input Modes.

`unsigned long int INADDR_ANY'
     `netinet/in.h' (BSD):  Host Address Data Type.

`unsigned long int INADDR_BROADCAST'
     `netinet/in.h' (BSD):  Host Address Data Type.

`unsigned long int INADDR_LOOPBACK'
     `netinet/in.h' (BSD):  Host Address Data Type.

`unsigned long int INADDR_NONE'
     `netinet/in.h' (BSD):  Host Address Data Type.

`char * index (const char *STRING, int C)'
     `string.h' (BSD):  Search Functions.

`unsigned long int inet_addr (const char *NAME)'
     `arpa/inet.h' (BSD):  Host Address Functions.

`int inet_aton (const char *NAME, struct in_addr *ADDR)'
     `arpa/inet.h' (BSD):  Host Address Functions.

`int inet_lnaof (struct in_addr ADDR)'
     `arpa/inet.h' (BSD):  Host Address Functions.

`struct in_addr inet_makeaddr (int NET, int LOCAL)'
     `arpa/inet.h' (BSD):  Host Address Functions.

`int inet_netof (struct in_addr ADDR)'
     `arpa/inet.h' (BSD):  Host Address Functions.

`unsigned long int inet_network (const char *NAME)'
     `arpa/inet.h' (BSD):  Host Address Functions.

`char * inet_ntoa (struct in_addr ADDR)'
     `arpa/inet.h' (BSD):  Host Address Functions.

`double infnan (int ERROR)'
     `math.h' (BSD):  Predicates on Floats.

`int initgroups (const char *USER, gid_t GID)'
     `grp.h' (BSD):  Setting Groups.

`void * initstate (unsigned int SEED, void *STATE, size_t SIZE)'
     `stdlib.h' (BSD):  BSD Random.

`tcflag_t INLCR'
     `termios.h' (POSIX.1):  Input Modes.

`int innetgr (const char *NETGROUP, const char *HOST, const char *USER, const char *DOMAIN)'
     `netdb.h' (netdb.h):  Netgroup Membership.

`ino_t'
     `sys/types.h' (POSIX.1):  Attribute Meanings.

`tcflag_t INPCK'
     `termios.h' (POSIX.1):  Input Modes.

`int RLIM_INFINITY'
     `sys/resource.h' (BSD):  Limits on Resources.

`INT_MAX'
     `limits.h' (ISO):  Range of Type.

`INT_MIN'
     `limits.h' (ISO):  Range of Type.

`int _IOFBF'
     `stdio.h' (ISO):  Controlling Buffering.

`int _IOLBF'
     `stdio.h' (ISO):  Controlling Buffering.

`int _IONBF'
     `stdio.h' (ISO):  Controlling Buffering.

`int IPPORT_RESERVED'
     `netinet/in.h' (BSD):  Ports.

`int IPPORT_USERRESERVED'
     `netinet/in.h' (BSD):  Ports.

`int isalnum (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int isalpha (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int isascii (int C)'
     `ctype.h' (SVID, BSD):  Classification of Characters.

`int isatty (int FILEDES)'
     `unistd.h' (POSIX.1):  Is It a Terminal.

`int isblank (int C)'
     `ctype.h' (GNU):  Classification of Characters.

`int iscntrl (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int isdigit (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int isgraph (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`tcflag_t ISIG'
     `termios.h' (POSIX.1):  Local Modes.

`int isinf (double X)'
     `math.h' (BSD):  Predicates on Floats.

`int islower (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int isnan (double X)'
     `math.h' (BSD):  Predicates on Floats.

`int isprint (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int ispunct (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int isspace (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`tcflag_t ISTRIP'
     `termios.h' (POSIX.1):  Input Modes.

`int isupper (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`int isxdigit (int C)'
     `ctype.h' (ISO):  Classification of Characters.

`ITIMER_PROF'
     `sys/time.h' (BSD):  Setting an Alarm.

`ITIMER_REAL'
     `sys/time.h' (BSD):  Setting an Alarm.

`ITIMER_VIRTUAL'
     `sys/time.h' (BSD):  Setting an Alarm.

`tcflag_t IXANY'
     `termios.h' (BSD):  Input Modes.

`tcflag_t IXOFF'
     `termios.h' (POSIX.1):  Input Modes.

`tcflag_t IXON'
     `termios.h' (POSIX.1):  Input Modes.

`jmp_buf'
     `setjmp.h' (ISO):  Non-Local Details.

`int kill (pid_t PID, int SIGNUM)'
     `signal.h' (POSIX.1):  Signaling Another Process.

`int killpg (int PGID, int SIGNUM)'
     `signal.h' (BSD):  Signaling Another Process.

`long int labs (long int NUMBER)'
     `stdlib.h' (ISO):  Absolute Value.

`LANG'
     `locale.h' (ISO):  Locale Categories.

`LC_ALL'
     `locale.h' (ISO):  Locale Categories.

`LC_COLLATE'
     `locale.h' (ISO):  Locale Categories.

`LC_CTYPE'
     `locale.h' (ISO):  Locale Categories.

`LC_MESSAGES'
     `locale.h' (XOPEN):  Locale Categories.

`LC_MONETARY'
     `locale.h' (ISO):  Locale Categories.

`LC_NUMERIC'
     `locale.h' (ISO):  Locale Categories.

`int L_ctermid'
     `stdio.h' (POSIX.1):  Identifying the Terminal.

`LC_TIME'
     `locale.h' (ISO):  Locale Categories.

`int L_cuserid'
     `stdio.h' (POSIX.1):  Who Logged In.

`double ldexp (double VALUE, int EXPONENT)'
     `math.h' (ISO):  Normalization Functions.

`ldiv_t ldiv (long int NUMERATOR, long int DENOMINATOR)'
     `stdlib.h' (ISO):  Integer Division.

`ldiv_t'
     `stdlib.h' (ISO):  Integer Division.

`L_INCR'
     `sys/file.h' (BSD):  File Positioning.

`int LINE_MAX'
     `limits.h' (POSIX.2):  Utility Limits.

`int link (const char *OLDNAME, const char *NEWNAME)'
     `unistd.h' (POSIX.1):  Hard Links.

`int LINK_MAX'
     `limits.h' (POSIX.1):  Limits for Files.

`int listen (int SOCKET, unsigned int N)'
     `sys/socket.h' (BSD):  Listening.

`struct lconv * localeconv (void)'
     `locale.h' (ISO):  Numeric Formatting.

`struct tm * localtime (const time_t *TIME)'
     `time.h' (ISO):  Broken-down Time.

`double log10 (double X)'
     `math.h' (ISO):  Exponents and Logarithms.

`double log1p (double X)'
     `math.h' (BSD):  Exponents and Logarithms.

`double logb (double X)'
     `math.h' (BSD):  Normalization Functions.

`double log (double X)'
     `math.h' (ISO):  Exponents and Logarithms.

`void longjmp (jmp_buf STATE, int VALUE)'
     `setjmp.h' (ISO):  Non-Local Details.

`LONG_LONG_MAX'
     `limits.h' (GNU):  Range of Type.

`LONG_LONG_MIN'
     `limits.h' (GNU):  Range of Type.

`LONG_MAX'
     `limits.h' (ISO):  Range of Type.

`LONG_MIN'
     `limits.h' (ISO):  Range of Type.

`off_t lseek (int FILEDES, off_t OFFSET, int WHENCE)'
     `unistd.h' (POSIX.1):  File Position Primitive.

`L_SET'
     `sys/file.h' (BSD):  File Positioning.

`int lstat (const char *FILENAME, struct stat *BUF)'
     `sys/stat.h' (BSD):  Reading Attributes.

`int L_tmpnam'
     `stdio.h' (ISO):  Temporary Files.

`L_XTND'
     `sys/file.h' (BSD):  File Positioning.

`__malloc_hook'
     `malloc.h' (GNU):  Hooks for Malloc.

`void * malloc (size_t SIZE)'
     `malloc.h', `stdlib.h' (ISO):  Basic Allocation.

`int MAX_CANON'
     `limits.h' (POSIX.1):  Limits for Files.

`int MAX_INPUT'
     `limits.h' (POSIX.1):  Limits for Files.

`int MAXNAMLEN'
     `dirent.h' (BSD):  Limits for Files.

`int MB_CUR_MAX'
     `stdlib.h' (ISO):  Multibyte Char Intro.

`int mblen (const char *STRING, size_t SIZE)'
     `stdlib.h' (ISO):  Length of Char.

`int MB_LEN_MAX'
     `limits.h' (ISO):  Multibyte Char Intro.

`size_t mbstowcs (wchar_t *WSTRING, const char *STRING, size_t SIZE)'
     `stdlib.h' (ISO):  Wide String Conversion.

`int mbtowc (wchar_t *RESULT, const char *STRING, size_t SIZE)'
     `stdlib.h' (ISO):  Converting One Char.

`int mcheck (void (*ABORTFN) (enum mcheck_status STATUS))'
     `malloc.h' (GNU):  Heap Consistency Checking.

`tcflag_t MDMBUF'
     `termios.h' (BSD):  Control Modes.

`void * memalign (size_t BOUNDARY, size_t SIZE)'
     `malloc.h', `stdlib.h' (BSD):  Aligned Memory Blocks.

`void * memccpy (void *TO, const void *FROM, int C, size_t SIZE)'
     `string.h' (SVID):  Copying and Concatenation.

`void * memchr (const void *BLOCK, int C, size_t SIZE)'
     `string.h' (ISO):  Search Functions.

`int memcmp (const void *A1, const void *A2, size_t SIZE)'
     `string.h' (ISO):  String/Array Comparison.

`void * memcpy (void *TO, const void *FROM, size_t SIZE)'
     `string.h' (ISO):  Copying and Concatenation.

`void * memmem (const void *NEEDLE, size_t NEEDLE-LEN,
     const void *HAYSTACK, size_t HAYSTACK-LEN)'
     `string.h' (GNU):  Search Functions.

`void * memmove (void *TO, const void *FROM, size_t SIZE)'
     `string.h' (ISO):  Copying and Concatenation.

`void memory_warnings (void *START, void (*WARN-FUNC) (const char *))'
     `malloc.h' (GNU):  Memory Warnings.

`void * memset (void *BLOCK, int C, size_t SIZE)'
     `string.h' (ISO):  Copying and Concatenation.

`int mkdir (const char *FILENAME, mode_t MODE)'
     `sys/stat.h' (POSIX.1):  Creating Directories.

`int mkfifo (const char *FILENAME, mode_t MODE)'
     `sys/stat.h' (POSIX.1):  FIFO Special Files.

`int mknod (const char *FILENAME, int MODE, int DEV)'
     `sys/stat.h' (BSD):  Making Special Files.

`int mkstemp (char *TEMPLATE)'
     `unistd.h' (BSD):  Temporary Files.

`char * mktemp (char *TEMPLATE)'
     `unistd.h' (Unix):  Temporary Files.

`time_t mktime (struct tm *BROKENTIME)'
     `time.h' (ISO):  Broken-down Time.

`mode_t'
     `sys/types.h' (POSIX.1):  Attribute Meanings.

`double modf (double VALUE, double *INTEGER-PART)'
     `math.h' (ISO):  Rounding and Remainders.

`int MSG_DONTROUTE'
     `sys/socket.h' (BSD):  Socket Data Options.

`int MSG_OOB'
     `sys/socket.h' (BSD):  Socket Data Options.

`int MSG_PEEK'
     `sys/socket.h' (BSD):  Socket Data Options.

`struct mstats mstats (void)'
     `malloc.h' (GNU):  Statistics of Malloc.

`int NAME_MAX'
     `limits.h' (POSIX.1):  Limits for Files.

`double NAN'
     `math.h' (GNU):  Not a Number.

`int NCCS'
     `termios.h' (POSIX.1):  Mode Data Types.

`int NGROUPS_MAX'
     `limits.h' (POSIX.1):  General Limits.

`int nice (int INCREMENT)'
     `dunno.h' (dunno.h):  Priority.

`nlink_t'
     `sys/types.h' (POSIX.1):  Attribute Meanings.

`NO_ADDRESS'
     `netdb.h' (BSD):  Host Names.

`tcflag_t NOFLSH'
     `termios.h' (POSIX.1):  Local Modes.

`tcflag_t NOKERNINFO'
     `termios.h' (BSD):  Local Modes.

`NO_RECOVERY'
     `netdb.h' (BSD):  Host Names.

`int NSIG'
     `signal.h' (BSD):  Standard Signals.

`unsigned long int ntohl (unsigned long int NETLONG)'
     `netinet/in.h' (BSD):  Byte Order.

`unsigned short int ntohs (unsigned short int NETSHORT)'
     `netinet/in.h' (BSD):  Byte Order.

`void * NULL'
     `stddef.h' (ISO):  Null Pointer Constant.

`int O_ACCMODE'
     `fcntl.h' (POSIX.1):  Access Modes.

`int O_APPEND'
     `fcntl.h' (POSIX.1):  Operating Modes.

`int O_ASYNC'
     `fcntl.h' (BSD):  Operating Modes.

`void obstack_1grow_fast (struct obstack *OBSTACK-PTR, char C)'
     `obstack.h' (GNU):  Extra Fast Growing.

`void obstack_1grow (struct obstack *OBSTACK-PTR, char C)'
     `obstack.h' (GNU):  Growing Objects.

`int obstack_alignment_mask (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Obstacks Data Alignment.

`void * obstack_alloc (struct obstack *OBSTACK-PTR, int SIZE)'
     `obstack.h' (GNU):  Allocation in an Obstack.

`void * obstack_base (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Status of an Obstack.

`void obstack_blank_fast (struct obstack *OBSTACK-PTR, int SIZE)'
     `obstack.h' (GNU):  Extra Fast Growing.

`void obstack_blank (struct obstack *OBSTACK-PTR, int SIZE)'
     `obstack.h' (GNU):  Growing Objects.

`int obstack_chunk_size (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Obstack Chunks.

`void * obstack_copy0 (struct obstack *OBSTACK-PTR, void *ADDRESS, int SIZE)'
     `obstack.h' (GNU):  Allocation in an Obstack.

`void * obstack_copy (struct obstack *OBSTACK-PTR, void *ADDRESS, int SIZE)'
     `obstack.h' (GNU):  Allocation in an Obstack.

`void * obstack_finish (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Growing Objects.

`void obstack_free (struct obstack *OBSTACK-PTR, void *OBJECT)'
     `obstack.h' (GNU):  Freeing Obstack Objects.

`void obstack_grow0 (struct obstack *OBSTACK-PTR, void *DATA, int SIZE)'
     `obstack.h' (GNU):  Growing Objects.

`void obstack_grow (struct obstack *OBSTACK-PTR, void *DATA, int SIZE)'
     `obstack.h' (GNU):  Growing Objects.

`int obstack_init (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Preparing for Obstacks.

`void obstack_int_grow_fast (struct obstack *OBSTACK-PTR, int DATA)'
     `obstack.h' (GNU):  Extra Fast Growing.

`void obstack_int_grow (struct obstack *OBSTACK-PTR, int DATA)'
     `obstack.h' (GNU):  Growing Objects.

`void * obstack_next_free (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Status of an Obstack.

`int obstack_object_size (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Growing Objects.

`int obstack_object_size (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Status of an Obstack.

`int obstack_printf (struct obstack *OBSTACK, const char *TEMPLATE, ...)'
     `stdio.h' (GNU):  Dynamic Output.

`void obstack_ptr_grow_fast (struct obstack *OBSTACK-PTR, void *DATA)'
     `obstack.h' (GNU):  Extra Fast Growing.

`void obstack_ptr_grow (struct obstack *OBSTACK-PTR, void *DATA)'
     `obstack.h' (GNU):  Growing Objects.

`int obstack_room (struct obstack *OBSTACK-PTR)'
     `obstack.h' (GNU):  Extra Fast Growing.

`int obstack_vprintf (struct obstack *OBSTACK, const char *TEMPLATE, va_list AP)'
     `stdio.h' (GNU):  Variable Arguments Output.

`int O_CREAT'
     `fcntl.h' (POSIX.1):  Open-time Flags.

`int O_EXCL'
     `fcntl.h' (POSIX.1):  Open-time Flags.

`int O_EXEC'
     `fcntl.h' (GNU):  Access Modes.

`int O_EXLOCK'
     `fcntl.h' (BSD):  Open-time Flags.

`size_t offsetof (TYPE, MEMBER)'
     `stddef.h' (ISO):  Structure Measurement.

`off_t'
     `sys/types.h' (POSIX.1):  File Position Primitive.

`int O_FSYNC'
     `fcntl.h' (BSD):  Operating Modes.

`int O_IGNORE_CTTY'
     `fcntl.h' (GNU):  Open-time Flags.

`int O_NDELAY'
     `fcntl.h' (BSD):  Operating Modes.

`int on_exit (void (*FUNCTION)(int STATUS, void *ARG), void *ARG)'
     `stdlib.h' (SunOS):  Cleanups on Exit.

`tcflag_t ONLCR'
     `termios.h' (BSD):  Output Modes.

`int O_NOATIME'
     `fcntl.h' (GNU):  Operating Modes.

`int O_NOCTTY'
     `fcntl.h' (POSIX.1):  Open-time Flags.

`tcflag_t ONOEOT'
     `termios.h' (BSD):  Output Modes.

`int O_NOLINK'
     `fcntl.h' (GNU):  Open-time Flags.

`int O_NONBLOCK'
     `fcntl.h' (POSIX.1):  Open-time Flags.

`int O_NONBLOCK'
     `fcntl.h' (POSIX.1):  Operating Modes.

`int O_NOTRANS'
     `fcntl.h' (GNU):  Open-time Flags.

`DIR * opendir (const char *DIRNAME)'
     `dirent.h' (POSIX.1):  Opening a Directory.

`int open (const char *FILENAME, int FLAGS[, mode_t MODE])'
     `fcntl.h' (POSIX.1):  Opening and Closing Files.

`int OPEN_MAX'
     `limits.h' (POSIX.1):  General Limits.

`FILE * open_memstream (char **PTR, size_t *SIZELOC)'
     `stdio.h' (GNU):  String Streams.

`FILE * open_obstack_stream (struct obstack *OBSTACK)'
     `stdio.h' (GNU):  Obstack Streams.

`tcflag_t OPOST'
     `termios.h' (POSIX.1):  Output Modes.

`char * optarg'
     `unistd.h' (POSIX.2):  Parsing Options.

`int opterr'
     `unistd.h' (POSIX.2):  Parsing Options.

`int optind'
     `unistd.h' (POSIX.2):  Parsing Options.

`int optopt'
     `unistd.h' (POSIX.2):  Parsing Options.

`int O_RDONLY'
     `fcntl.h' (POSIX.1):  Access Modes.

`int O_RDWR'
     `fcntl.h' (POSIX.1):  Access Modes.

`int O_READ'
     `fcntl.h' (GNU):  Access Modes.

`int O_SHLOCK'
     `fcntl.h' (BSD):  Open-time Flags.

`int O_SYNC'
     `fcntl.h' (BSD):  Operating Modes.

`int O_TRUNC'
     `fcntl.h' (POSIX.1):  Open-time Flags.

`int O_WRITE'
     `fcntl.h' (GNU):  Access Modes.

`int O_WRONLY'
     `fcntl.h' (POSIX.1):  Access Modes.

`tcflag_t OXTABS'
     `termios.h' (BSD):  Output Modes.

`PA_CHAR'
     `printf.h' (GNU):  Parsing a Template String.

`PA_DOUBLE'
     `printf.h' (GNU):  Parsing a Template String.

`PA_FLAG_LONG_DOUBLE'
     `printf.h' (GNU):  Parsing a Template String.

`PA_FLAG_LONG'
     `printf.h' (GNU):  Parsing a Template String.

`PA_FLAG_LONG_LONG'
     `printf.h' (GNU):  Parsing a Template String.

`int PA_FLAG_MASK'
     `printf.h' (GNU):  Parsing a Template String.

`PA_FLAG_PTR'
     `printf.h' (GNU):  Parsing a Template String.

`PA_FLAG_SHORT'
     `printf.h' (GNU):  Parsing a Template String.

`PA_FLOAT'
     `printf.h' (GNU):  Parsing a Template String.

`PA_INT'
     `printf.h' (GNU):  Parsing a Template String.

`PA_LAST'
     `printf.h' (GNU):  Parsing a Template String.

`PA_POINTER'
     `printf.h' (GNU):  Parsing a Template String.

`tcflag_t PARENB'
     `termios.h' (POSIX.1):  Control Modes.

`tcflag_t PARMRK'
     `termios.h' (POSIX.1):  Input Modes.

`tcflag_t PARODD'
     `termios.h' (POSIX.1):  Control Modes.

`size_t parse_printf_format (const char *TEMPLATE, size_t N, int *ARGTYPES)'
     `printf.h' (GNU):  Parsing a Template String.

`PA_STRING'
     `printf.h' (GNU):  Parsing a Template String.

`long int pathconf (const char *FILENAME, int PARAMETER)'
     `unistd.h' (POSIX.1):  Pathconf.

`int PATH_MAX'
     `limits.h' (POSIX.1):  Limits for Files.

`int pause ()'
     `unistd.h' (POSIX.1):  Using Pause.

`_PC_CHOWN_RESTRICTED'
     `unistd.h' (POSIX.1):  Pathconf.

`_PC_LINK_MAX'
     `unistd.h' (POSIX.1):  Pathconf.

`int pclose (FILE *STREAM)'
     `stdio.h' (POSIX.2, SVID, BSD):  Pipe to a Subprocess.

`_PC_MAX_CANON'
     `unistd.h' (POSIX.1):  Pathconf.

`_PC_MAX_INPUT'
     `unistd.h' (POSIX.1):  Pathconf.

`_PC_NAME_MAX'
     `unistd.h' (POSIX.1):  Pathconf.

`_PC_NO_TRUNC'
     `unistd.h' (POSIX.1):  Pathconf.

`_PC_PATH_MAX'
     `unistd.h' (POSIX.1):  Pathconf.

`_PC_PIPE_BUF'
     `unistd.h' (POSIX.1):  Pathconf.

`_PC_VDISABLE'
     `unistd.h' (POSIX.1):  Pathconf.

`tcflag_t PENDIN'
     `termios.h' (BSD):  Local Modes.

`void perror (const char *MESSAGE)'
     `stdio.h' (ISO):  Error Messages.

`int PF_FILE'
     `sys/socket.h' (GNU):  File Namespace Details.

`int PF_INET'
     `sys/socket.h' (BSD):  Internet Namespace.

`int PF_UNIX'
     `sys/socket.h' (BSD):  File Namespace Details.

`pid_t'
     `sys/types.h' (POSIX.1):  Process Identification.

`int PIPE_BUF'
     `limits.h' (POSIX.1):  Limits for Files.

`int pipe (int FILEDES[2])'
     `unistd.h' (POSIX.1):  Creating a Pipe.

`FILE * popen (const char *COMMAND, const char *MODE)'
     `stdio.h' (POSIX.2, SVID, BSD):  Pipe to a Subprocess.

`_POSIX2_BC_BASE_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`_POSIX2_BC_DIM_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`_POSIX2_BC_SCALE_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`_POSIX2_BC_STRING_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`int _POSIX2_C_DEV'
     `unistd.h' (POSIX.2):  System Options.

`_POSIX2_COLL_WEIGHTS_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`long int _POSIX2_C_VERSION'
     `unistd.h' (POSIX.2):  Version Supported.

`_POSIX2_EQUIV_CLASS_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`_POSIX2_EXPR_NEST_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`int _POSIX2_FORT_DEV'
     `unistd.h' (POSIX.2):  System Options.

`int _POSIX2_FORT_RUN'
     `unistd.h' (POSIX.2):  System Options.

`_POSIX2_LINE_MAX'
     `limits.h' (POSIX.2):  Utility Minimums.

`int _POSIX2_LOCALEDEF'
     `unistd.h' (POSIX.2):  System Options.

`_POSIX2_RE_DUP_MAX'
     `limits.h' (POSIX.2):  Minimums.

`int _POSIX2_SW_DEV'
     `unistd.h' (POSIX.2):  System Options.

`_POSIX_ARG_MAX'
     `limits.h' (POSIX.1):  Minimums.

`_POSIX_CHILD_MAX'
     `limits.h' (POSIX.1):  Minimums.

`int _POSIX_CHOWN_RESTRICTED'
     `unistd.h' (POSIX.1):  Options for Files.

`_POSIX_C_SOURCE'
     (POSIX.2):  Feature Test Macros.

`int _POSIX_JOB_CONTROL'
     `unistd.h' (POSIX.1):  System Options.

`_POSIX_LINK_MAX'
     `limits.h' (POSIX.1):  File Minimums.

`_POSIX_MAX_CANON'
     `limits.h' (POSIX.1):  File Minimums.

`_POSIX_MAX_INPUT'
     `limits.h' (POSIX.1):  File Minimums.

`_POSIX_NAME_MAX'
     `limits.h' (POSIX.1):  File Minimums.

`_POSIX_NGROUPS_MAX'
     `limits.h' (POSIX.1):  Minimums.

`int _POSIX_NO_TRUNC'
     `unistd.h' (POSIX.1):  Options for Files.

`_POSIX_OPEN_MAX'
     `limits.h' (POSIX.1):  Minimums.

`_POSIX_PATH_MAX'
     `limits.h' (POSIX.1):  File Minimums.

`_POSIX_PIPE_BUF'
     `limits.h' (POSIX.1):  File Minimums.

`int _POSIX_SAVED_IDS'
     `unistd.h' (POSIX.1):  System Options.

`_POSIX_SOURCE'
     (POSIX.1):  Feature Test Macros.

`_POSIX_SSIZE_MAX'
     `limits.h' (POSIX.1):  Minimums.

`_POSIX_STREAM_MAX'
     `limits.h' (POSIX.1):  Minimums.

`_POSIX_TZNAME_MAX'
     `limits.h' (POSIX.1):  Minimums.

`unsigned char _POSIX_VDISABLE'
     `unistd.h' (POSIX.1):  Options for Files.

`long int _POSIX_VERSION'
     `unistd.h' (POSIX.1):  Version Supported.

`double pow (double BASE, double POWER)'
     `math.h' (ISO):  Exponents and Logarithms.

`printf_arginfo_function'
     `printf.h' (GNU):  Defining the Output Handler.

`printf_function'
     `printf.h' (GNU):  Defining the Output Handler.

`int printf (const char *TEMPLATE, ...)'
     `stdio.h' (ISO):  Formatted Output Functions.

`PRIO_MAX'
     `sys/resource.h' (BSD):  Priority.

`PRIO_MIN'
     `sys/resource.h' (BSD):  Priority.

`PRIO_PGRP'
     `sys/resource.h' (BSD):  Priority.

`PRIO_PROCESS'
     `sys/resource.h' (BSD):  Priority.

`PRIO_USER'
     `sys/resource.h' (BSD):  Priority.

`char * program_invocation_name'
     `errno.h' (GNU):  Error Messages.

`char * program_invocation_short_name'
     `errno.h' (GNU):  Error Messages.

`void psignal (int SIGNUM, const char *MESSAGE)'
     `signal.h' (BSD):  Signal Messages.

`char * P_tmpdir'
     `stdio.h' (SVID):  Temporary Files.

`ptrdiff_t'
     `stddef.h' (ISO):  Important Data Types.

`int putchar (int C)'
     `stdio.h' (ISO):  Simple Output.

`int putc (int C, FILE *STREAM)'
     `stdio.h' (ISO):  Simple Output.

`int putenv (const char *STRING)'
     `stdlib.h' (SVID):  Environment Access.

`int putpwent (const struct passwd *P, FILE *STREAM)'
     `pwd.h' (SVID):  Writing a User Entry.

`int puts (const char *S)'
     `stdio.h' (ISO):  Simple Output.

`int putw (int W, FILE *STREAM)'
     `stdio.h' (SVID):  Simple Output.

`void qsort (void *ARRAY, size_t COUNT, size_t SIZE, comparison_fn_t COMPARE)'
     `stdlib.h' (ISO):  Array Sort Function.

`int raise (int SIGNUM)'
     `signal.h' (ISO):  Signaling Yourself.

`void r_alloc_free (void **HANDLEPTR)'
     `malloc.h' (GNU):  Using Relocator.

`void * r_alloc (void **HANDLEPTR, size_t SIZE)'
     `malloc.h' (GNU):  Using Relocator.

`int rand ()'
     `stdlib.h' (ISO):  ISO Random.

`int RAND_MAX'
     `stdlib.h' (ISO):  ISO Random.

`long int random ()'
     `stdlib.h' (BSD):  BSD Random.

`struct dirent * readdir (DIR *DIRSTREAM)'
     `dirent.h' (POSIX.1):  Reading/Closing Directory.

`int readdir_r (DIR *DIRSTREAM, struct *ENTRY, struct **RESULT)'
     `dirent.h' (GNU):  Reading/Closing Directory.

`ssize_t read (int FILEDES, void *BUFFER, size_t SIZE)'
     `unistd.h' (POSIX.1):  I/O Primitives.

`int readlink (const char *FILENAME, char *BUFFER, size_t SIZE)'
     `unistd.h' (BSD):  Symbolic Links.

`__realloc_hook'
     `malloc.h' (GNU):  Hooks for Malloc.

`void * realloc (void *PTR, size_t NEWSIZE)'
     `malloc.h', `stdlib.h' (ISO):  Changing Block Size.

`int recvfrom (int SOCKET, void *BUFFER, size_t SIZE, int FLAGS, struct sockaddr *ADDR, size_t *LENGTH-PTR)'
     `sys/socket.h' (BSD):  Receiving Datagrams.

`int recv (int SOCKET, void *BUFFER, size_t SIZE, int FLAGS)'
     `sys/socket.h' (BSD):  Receiving Data.

`int recvmsg (int SOCKET, struct msghdr *MESSAGE, int FLAGS)'
     `sys/socket.h' (BSD):  Receiving Datagrams.

`int RE_DUP_MAX'
     `limits.h' (POSIX.2):  General Limits.

`_REENTRANT'
     (GNU):  Feature Test Macros.

`REG_BADBR'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_BADPAT'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_BADRPT'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`int regcomp (regex_t *COMPILED, const char *PATTERN, int CFLAGS)'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_EBRACE'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_EBRACK'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_ECOLLATE'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_ECTYPE'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_EESCAPE'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_EPAREN'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_ERANGE'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`size_t regerror (int ERRCODE, regex_t *COMPILED, char *BUFFER, size_t LENGTH)'
     `regex.h' (POSIX.2):  Regexp Cleanup.

`REG_ESPACE'
     `regex.h' (POSIX.2):  Matching POSIX Regexps.

`REG_ESPACE'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`REG_ESUBREG'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`int regexec (regex_t *COMPILED, char *STRING, size_t NMATCH, regmatch_t MATCHPTR [], int EFLAGS)'
     `regex.h' (POSIX.2):  Matching POSIX Regexps.

`REG_EXTENDED'
     `regex.h' (POSIX.2):  Flags for POSIX Regexps.

`regex_t'
     `regex.h' (POSIX.2):  POSIX Regexp Compilation.

`void regfree (regex_t *COMPILED)'
     `regex.h' (POSIX.2):  Regexp Cleanup.

`REG_ICASE'
     `regex.h' (POSIX.2):  Flags for POSIX Regexps.

`int register_printf_function (int SPEC, printf_function HANDLER-FUNCTION, printf_arginfo_function ARGINFO-FUNCTION)'
     `printf.h' (GNU):  Registering New Conversions.

`regmatch_t'
     `regex.h' (POSIX.2):  Regexp Subexpressions.

`REG_NEWLINE'
     `regex.h' (POSIX.2):  Flags for POSIX Regexps.

`REG_NOMATCH'
     `regex.h' (POSIX.2):  Matching POSIX Regexps.

`REG_NOSUB'
     `regex.h' (POSIX.2):  Flags for POSIX Regexps.

`REG_NOTBOL'
     `regex.h' (POSIX.2):  Matching POSIX Regexps.

`REG_NOTEOL'
     `regex.h' (POSIX.2):  Matching POSIX Regexps.

`regoff_t'
     `regex.h' (POSIX.2):  Regexp Subexpressions.

`int remove (const char *FILENAME)'
     `stdio.h' (ISO):  Deleting Files.

`int rename (const char *OLDNAME, const char *NEWNAME)'
     `stdio.h' (ISO):  Renaming Files.

`void rewinddir (DIR *DIRSTREAM)'
     `dirent.h' (POSIX.1):  Random Access Directory.

`void rewind (FILE *STREAM)'
     `stdio.h' (ISO):  File Positioning.

`char * rindex (const char *STRING, int C)'
     `string.h' (BSD):  Search Functions.

`double rint (double X)'
     `math.h' (BSD):  Rounding and Remainders.

`RLIMIT_CORE'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_CPU'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_DATA'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_FSIZE'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_MEMLOCK'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_NOFILE'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_NPROC'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_RSS'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIMIT_STACK'
     `sys/resource.h' (BSD):  Limits on Resources.

`RLIM_NLIMITS'
     `sys/resource.h' (BSD):  Limits on Resources.

`int rmdir (const char *FILENAME)'
     `unistd.h' (POSIX.1):  Deleting Files.

`int R_OK'
     `unistd.h' (POSIX.1):  Testing File Access.

`void * r_re_alloc (void **HANDLEPTR, size_t SIZE)'
     `malloc.h' (GNU):  Using Relocator.

`RUSAGE_CHILDREN'
     `sys/resource.h' (BSD):  Resource Usage.

`RUSAGE_SELF'
     `sys/resource.h' (BSD):  Resource Usage.

`int SA_NOCLDSTOP'
     `signal.h' (POSIX.1):  Flags for Sigaction.

`int SA_ONSTACK'
     `signal.h' (BSD):  Flags for Sigaction.

`int SA_RESTART'
     `signal.h' (BSD):  Flags for Sigaction.

`_SC_2_C_DEV'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_2_FORT_DEV'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_2_FORT_RUN'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_2_LOCALEDEF'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_2_SW_DEV'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_2_VERSION'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`double scalb (double VALUE, int EXPONENT)'
     `math.h' (BSD):  Normalization Functions.

`int scanf (const char *TEMPLATE, ...)'
     `stdio.h' (ISO):  Formatted Input Functions.

`_SC_ARG_MAX'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_BC_BASE_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_BC_DIM_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_BC_SCALE_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_BC_STRING_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_CHILD_MAX'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_CLK_TCK'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_COLL_WEIGHTS_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_EQUIV_CLASS_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_EXPR_NEST_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`SCHAR_MAX'
     `limits.h' (ISO):  Range of Type.

`SCHAR_MIN'
     `limits.h' (ISO):  Range of Type.

`_SC_JOB_CONTROL'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_LINE_MAX'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`_SC_NGROUPS_MAX'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_OPEN_MAX'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_PAGESIZE'
     `unistd.h' (GNU):  Constants for Sysconf.

`_SC_SAVED_IDS'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_STREAM_MAX'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_TZNAME_MAX'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_VERSION'
     `unistd.h' (POSIX.1):  Constants for Sysconf.

`_SC_VERSION'
     `unistd.h' (POSIX.2):  Constants for Sysconf.

`int SEEK_CUR'
     `stdio.h' (ISO):  File Positioning.

`void seekdir (DIR *DIRSTREAM, off_t POS)'
     `dirent.h' (BSD):  Random Access Directory.

`int SEEK_END'
     `stdio.h' (ISO):  File Positioning.

`int SEEK_SET'
     `stdio.h' (ISO):  File Positioning.

`int select (int NFDS, fd_set *READ-FDS, fd_set *WRITE-FDS, fd_set *EXCEPT-FDS, struct timeval *TIMEOUT)'
     `sys/types.h' (BSD):  Waiting for I/O.

`int send (int SOCKET, void *BUFFER, size_t SIZE, int FLAGS)'
     `sys/socket.h' (BSD):  Sending Data.

`int sendmsg (int SOCKET, const struct msghdr *MESSAGE, int FLAGS)'
     `sys/socket.h' (BSD):  Receiving Datagrams.

`int sendto (int SOCKET, void *BUFFER. size_t SIZE, int FLAGS, struct sockaddr *ADDR, size_t LENGTH)'
     `sys/socket.h' (BSD):  Sending Datagrams.

`void setbuffer (FILE *STREAM, char *BUF, size_t SIZE)'
     `stdio.h' (BSD):  Controlling Buffering.

`void setbuf (FILE *STREAM, char *BUF)'
     `stdio.h' (ISO):  Controlling Buffering.

`int setgid (gid_t NEWGID)'
     `unistd.h' (POSIX.1):  Setting Groups.

`void setgrent (void)'
     `grp.h' (SVID, BSD):  Scanning All Groups.

`int setgroups (size_t COUNT, gid_t *GROUPS)'
     `grp.h' (BSD):  Setting Groups.

`void sethostent (int STAYOPEN)'
     `netdb.h' (BSD):  Host Names.

`int sethostid (long int ID)'
     `unistd.h' (BSD):  Host Identification.

`int sethostname (const char *NAME, size_t LENGTH)'
     `unistd.h' (BSD):  Host Identification.

`int setitimer (int WHICH, struct itimerval *NEW, struct itimerval *OLD)'
     `sys/time.h' (BSD):  Setting an Alarm.

`int setjmp (jmp_buf STATE)'
     `setjmp.h' (ISO):  Non-Local Details.

`void setlinebuf (FILE *STREAM)'
     `stdio.h' (BSD):  Controlling Buffering.

`char * setlocale (int CATEGORY, const char *LOCALE)'
     `locale.h' (ISO):  Setting the Locale.

`void setnetent (int STAYOPEN)'
     `netdb.h' (BSD):  Networks Database.

`int setnetgrent (const char *NETGROUP)'
     `netdb.h' (netdb.h):  Lookup Netgroup.

`int setpgid (pid_t PID, pid_t PGID)'
     `unistd.h' (POSIX.1):  Process Group Functions.

`int setpgrp (pid_t PID, pid_t PGID)'
     `unistd.h' (BSD):  Process Group Functions.

`int setpriority (int CLASS, int ID, int PRIORITY)'
     `sys/resource.h' (BSD):  Priority.

`void setprotoent (int STAYOPEN)'
     `netdb.h' (BSD):  Protocols Database.

`void setpwent (void)'
     `pwd.h' (SVID, BSD):  Scanning All Users.

`int setregid (gid_t RGID, fid_t EGID)'
     `unistd.h' (BSD):  Setting Groups.

`int setreuid (uid_t RUID, uid_t EUID)'
     `unistd.h' (BSD):  Setting User ID.

`int setrlimit (int RESOURCE, struct rlimit *RLP)'
     `sys/resource.h' (BSD):  Limits on Resources.

`void setservent (int STAYOPEN)'
     `netdb.h' (BSD):  Services Database.

`pid_t setsid (void)'
     `unistd.h' (POSIX.1):  Process Group Functions.

`int setsockopt (int SOCKET, int LEVEL, int OPTNAME, void *OPTVAL, size_t OPTLEN)'
     `sys/socket.h' (BSD):  Socket Option Functions.

`void * setstate (void *STATE)'
     `stdlib.h' (BSD):  BSD Random.

`int settimeofday (const struct timeval *TP, const struct timezone *TZP)'
     `sys/time.h' (BSD):  High-Resolution Calendar.

`int setuid (uid_t NEWUID)'
     `unistd.h' (POSIX.1):  Setting User ID.

`int setvbuf (FILE *STREAM, char *BUF, int MODE, size_t SIZE)'
     `stdio.h' (ISO):  Controlling Buffering.

`SHRT_MAX'
     `limits.h' (ISO):  Range of Type.

`SHRT_MIN'
     `limits.h' (ISO):  Range of Type.

`int shutdown (int SOCKET, int HOW)'
     `sys/socket.h' (BSD):  Closing a Socket.

`S_IEXEC'
     `sys/stat.h' (BSD):  Permission Bits.

`S_IFBLK'
     `sys/stat.h' (BSD):  Testing File Type.

`S_IFCHR'
     `sys/stat.h' (BSD):  Testing File Type.

`S_IFDIR'
     `sys/stat.h' (BSD):  Testing File Type.

`S_IFIFO'
     `sys/stat.h' (BSD):  Testing File Type.

`S_IFLNK'
     `sys/stat.h' (BSD):  Testing File Type.

`int S_IFMT'
     `sys/stat.h' (BSD):  Testing File Type.

`S_IFREG'
     `sys/stat.h' (BSD):  Testing File Type.

`S_IFSOCK'
     `sys/stat.h' (BSD):  Testing File Type.

`int SIGABRT'
     `signal.h' (ISO):  Program Error Signals.

`int sigaction (int SIGNUM, const struct sigaction *ACTION, struct sigaction *OLD-ACTION)'
     `signal.h' (POSIX.1):  Advanced Signal Handling.

`int sigaddset (sigset_t *SET, int SIGNUM)'
     `signal.h' (POSIX.1):  Signal Sets.

`int SIGALRM'
     `signal.h' (POSIX.1):  Alarm Signals.

`int sigaltstack (const struct sigaltstack *STACK, struct sigaltstack *OLDSTACK)'
     `signal.h' (BSD):  Signal Stack.

`sig_atomic_t'
     `signal.h' (ISO):  Atomic Types.

`SIG_BLOCK'
     `signal.h' (POSIX.1):  Process Signal Mask.

`int sigblock (int MASK)'
     `signal.h' (BSD):  Blocking in BSD.

`int SIGBUS'
     `signal.h' (BSD):  Program Error Signals.

`int SIGCHLD'
     `signal.h' (POSIX.1):  Job Control Signals.

`int SIGCLD'
     `signal.h' (SVID):  Job Control Signals.

`int SIGCONT'
     `signal.h' (POSIX.1):  Job Control Signals.

`int sigdelset (sigset_t *SET, int SIGNUM)'
     `signal.h' (POSIX.1):  Signal Sets.

`int sigemptyset (sigset_t *SET)'
     `signal.h' (POSIX.1):  Signal Sets.

`int SIGEMT'
     `signal.h' (BSD):  Program Error Signals.

`sighandler_t SIG_ERR'
     `signal.h' (ISO):  Basic Signal Handling.

`int sigfillset (sigset_t *SET)'
     `signal.h' (POSIX.1):  Signal Sets.

`int SIGFPE'
     `signal.h' (ISO):  Program Error Signals.

`sighandler_t'
     `signal.h' (GNU):  Basic Signal Handling.

`int SIGHUP'
     `signal.h' (POSIX.1):  Termination Signals.

`int SIGILL'
     `signal.h' (ISO):  Program Error Signals.

`int SIGINFO'
     `signal.h' (BSD):  Miscellaneous Signals.

`int siginterrupt (int SIGNUM, int FAILFLAG)'
     `signal.h' (BSD):  BSD Handler.

`int SIGINT'
     `signal.h' (ISO):  Termination Signals.

`int SIGIO'
     `signal.h' (BSD):  Asynchronous I/O Signals.

`int SIGIOT'
     `signal.h' (Unix):  Program Error Signals.

`int sigismember (const sigset_t *SET, int SIGNUM)'
     `signal.h' (POSIX.1):  Signal Sets.

`sigjmp_buf'
     `setjmp.h' (POSIX.1):  Non-Local Exits and Signals.

`int SIGKILL'
     `signal.h' (POSIX.1):  Termination Signals.

`void siglongjmp (sigjmp_buf STATE, int VALUE)'
     `setjmp.h' (POSIX.1):  Non-Local Exits and Signals.

`int SIGLOST'
     `signal.h' (GNU):  Operation Error Signals.

`int sigmask (int SIGNUM)'
     `signal.h' (BSD):  Blocking in BSD.

`sighandler_t signal (int SIGNUM, sighandler_t ACTION)'
     `signal.h' (ISO):  Basic Signal Handling.

`int sigpause (int MASK)'
     `signal.h' (BSD):  Blocking in BSD.

`int sigpending (sigset_t *SET)'
     `signal.h' (POSIX.1):  Checking for Pending Signals.

`int SIGPIPE'
     `signal.h' (POSIX.1):  Operation Error Signals.

`int SIGPOLL'
     `signal.h' (SVID):  Asynchronous I/O Signals.

`int sigprocmask (int HOW, const sigset_t *SET, sigset_t *OLDSET)'
     `signal.h' (POSIX.1):  Process Signal Mask.

`int SIGPROF'
     `signal.h' (BSD):  Alarm Signals.

`int SIGQUIT'
     `signal.h' (POSIX.1):  Termination Signals.

`int SIGSEGV'
     `signal.h' (ISO):  Program Error Signals.

`int sigsetjmp (sigjmp_buf STATE, int SAVESIGS)'
     `setjmp.h' (POSIX.1):  Non-Local Exits and Signals.

`SIG_SETMASK'
     `signal.h' (POSIX.1):  Process Signal Mask.

`int sigsetmask (int MASK)'
     `signal.h' (BSD):  Blocking in BSD.

`sigset_t'
     `signal.h' (POSIX.1):  Signal Sets.

`int sigstack (const struct sigstack *STACK, struct sigstack *OLDSTACK)'
     `signal.h' (BSD):  Signal Stack.

`int SIGSTOP'
     `signal.h' (POSIX.1):  Job Control Signals.

`int sigsuspend (const sigset_t *SET)'
     `signal.h' (POSIX.1):  Sigsuspend.

`int SIGSYS'
     `signal.h' (Unix):  Program Error Signals.

`int SIGTERM'
     `signal.h' (ISO):  Termination Signals.

`int SIGTRAP'
     `signal.h' (BSD):  Program Error Signals.

`int SIGTSTP'
     `signal.h' (POSIX.1):  Job Control Signals.

`int SIGTTIN'
     `signal.h' (POSIX.1):  Job Control Signals.

`int SIGTTOU'
     `signal.h' (POSIX.1):  Job Control Signals.

`SIG_UNBLOCK'
     `signal.h' (POSIX.1):  Process Signal Mask.

`int SIGURG'
     `signal.h' (BSD):  Asynchronous I/O Signals.

`int SIGUSR1'
     `signal.h' (POSIX.1):  Miscellaneous Signals.

`int SIGUSR2'
     `signal.h' (POSIX.1):  Miscellaneous Signals.

`int sigvec (int SIGNUM, const struct sigvec *ACTION,struct sigvec *OLD-ACTION)'
     `signal.h' (BSD):  BSD Handler.

`int SIGVTALRM'
     `signal.h' (BSD):  Alarm Signals.

`int SIGWINCH'
     `signal.h' (BSD):  Miscellaneous Signals.

`int SIGXCPU'
     `signal.h' (BSD):  Operation Error Signals.

`int SIGXFSZ'
     `signal.h' (BSD):  Operation Error Signals.

`double sinh (double X)'
     `math.h' (ISO):  Hyperbolic Functions.

`double sin (double X)'
     `math.h' (ISO):  Trig Functions.

`S_IREAD'
     `sys/stat.h' (BSD):  Permission Bits.

`S_IRGRP'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IROTH'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IRUSR'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IRWXG'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IRWXO'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IRWXU'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`int S_ISBLK (mode_t M)'
     `sys/stat.h' (POSIX):  Testing File Type.

`int S_ISCHR (mode_t M)'
     `sys/stat.h' (POSIX):  Testing File Type.

`int S_ISDIR (mode_t M)'
     `sys/stat.h' (POSIX):  Testing File Type.

`int S_ISFIFO (mode_t M)'
     `sys/stat.h' (POSIX):  Testing File Type.

`S_ISGID'
     `sys/stat.h' (POSIX):  Permission Bits.

`int S_ISLNK (mode_t M)'
     `sys/stat.h' (GNU):  Testing File Type.

`int S_ISREG (mode_t M)'
     `sys/stat.h' (POSIX):  Testing File Type.

`int S_ISSOCK (mode_t M)'
     `sys/stat.h' (GNU):  Testing File Type.

`S_ISUID'
     `sys/stat.h' (POSIX):  Permission Bits.

`S_ISVTX'
     `sys/stat.h' (BSD):  Permission Bits.

`S_IWGRP'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IWOTH'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IWRITE'
     `sys/stat.h' (BSD):  Permission Bits.

`S_IWUSR'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IXGRP'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IXOTH'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`S_IXUSR'
     `sys/stat.h' (POSIX.1):  Permission Bits.

`size_t'
     `stddef.h' (ISO):  Important Data Types.

`unsigned int sleep (unsigned int SECONDS)'
     `unistd.h' (POSIX.1):  Sleeping.

`int snprintf (char *S, size_t SIZE, const char *TEMPLATE, ...)'
     `stdio.h' (GNU):  Formatted Output Functions.

`SO_BROADCAST'
     `sys/socket.h' (BSD):  Socket-Level Options.

`int SOCK_DGRAM'
     `sys/socket.h' (BSD):  Communication Styles.

`int socket (int NAMESPACE, int STYLE, int PROTOCOL)'
     `sys/socket.h' (BSD):  Creating a Socket.

`int socketpair (int NAMESPACE, int STYLE, int PROTOCOL, int FILEDES[2])'
     `sys/socket.h' (BSD):  Socket Pairs.

`int SOCK_RAW'
     `sys/socket.h' (BSD):  Communication Styles.

`int SOCK_RDM'
     `sys/socket.h' (BSD):  Communication Styles.

`int SOCK_SEQPACKET'
     `sys/socket.h' (BSD):  Communication Styles.

`int SOCK_STREAM'
     `sys/socket.h' (BSD):  Communication Styles.

`SO_DEBUG'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_DONTROUTE'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_ERROR'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_KEEPALIVE'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_LINGER'
     `sys/socket.h' (BSD):  Socket-Level Options.

`int SOL_SOCKET'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_OOBINLINE'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_RCVBUF'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_REUSEADDR'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_SNDBUF'
     `sys/socket.h' (BSD):  Socket-Level Options.

`SO_STYLE'
     `sys/socket.h' (GNU):  Socket-Level Options.

`SO_TYPE'
     `sys/socket.h' (BSD):  Socket-Level Options.

`speed_t'
     `termios.h' (POSIX.1):  Line Speed.

`int sprintf (char *S, const char *TEMPLATE, ...)'
     `stdio.h' (ISO):  Formatted Output Functions.

`double sqrt (double X)'
     `math.h' (ISO):  Exponents and Logarithms.

`void srand (unsigned int SEED)'
     `stdlib.h' (ISO):  ISO Random.

`void srandom (unsigned int SEED)'
     `stdlib.h' (BSD):  BSD Random.

`int sscanf (const char *S, const char *TEMPLATE, ...)'
     `stdio.h' (ISO):  Formatted Input Functions.

`sighandler_t ssignal (int SIGNUM, sighandler_t ACTION)'
     `signal.h' (SVID):  Basic Signal Handling.

`int SSIZE_MAX'
     `limits.h' (POSIX.1):  General Limits.

`ssize_t'
     `unistd.h' (POSIX.1):  I/O Primitives.

`int stat (const char *FILENAME, struct stat *BUF)'
     `sys/stat.h' (POSIX.1):  Reading Attributes.

`STDERR_FILENO'
     `unistd.h' (POSIX.1):  Descriptors and Streams.

`FILE * stderr'
     `stdio.h' (ISO):  Standard Streams.

`STDIN_FILENO'
     `unistd.h' (POSIX.1):  Descriptors and Streams.

`FILE * stdin'
     `stdio.h' (ISO):  Standard Streams.

`STDOUT_FILENO'
     `unistd.h' (POSIX.1):  Descriptors and Streams.

`FILE * stdout'
     `stdio.h' (ISO):  Standard Streams.

`char * stpcpy (char *TO, const char *FROM)'
     `string.h' (Unknown origin):  Copying and Concatenation.

`char * stpncpy (char *TO, const char *FROM, size_t SIZE)'
     `string.h' (GNU):  Copying and Concatenation.

`int strcasecmp (const char *S1, const char *S2)'
     `string.h' (BSD):  String/Array Comparison.

`char * strcat (char *TO, const char *FROM)'
     `string.h' (ISO):  Copying and Concatenation.

`char * strchr (const char *STRING, int C)'
     `string.h' (ISO):  Search Functions.

`int strcmp (const char *S1, const char *S2)'
     `string.h' (ISO):  String/Array Comparison.

`int strcoll (const char *S1, const char *S2)'
     `string.h' (ISO):  Collation Functions.

`char * strcpy (char *TO, const char *FROM)'
     `string.h' (ISO):  Copying and Concatenation.

`size_t strcspn (const char *STRING, const char *STOPSET)'
     `string.h' (ISO):  Search Functions.

`char * strdupa (const char *S)'
     `string.h' (GNU):  Copying and Concatenation.

`char * strdup (const char *S)'
     `string.h' (SVID):  Copying and Concatenation.

`int STREAM_MAX'
     `limits.h' (POSIX.1):  General Limits.

`char * strerror (int ERRNUM)'
     `string.h' (ISO):  Error Messages.

`size_t strftime (char *S, size_t SIZE, const char *TEMPLATE, const struct tm *BROKENTIME)'
     `time.h' (POSIX.2):  Formatting Date and Time.

`size_t strlen (const char *S)'
     `string.h' (ISO):  String Length.

`int strncasecmp (const char *S1, const char *S2, size_t N)'
     `string.h' (BSD):  String/Array Comparison.

`char * strncat (char *TO, const char *FROM, size_t SIZE)'
     `string.h' (ISO):  Copying and Concatenation.

`int strncmp (const char *S1, const char *S2, size_t SIZE)'
     `string.h' (ISO):  String/Array Comparison.

`char * strncpy (char *TO, const char *FROM, size_t SIZE)'
     `string.h' (ISO):  Copying and Concatenation.

`char * strndupa (const char *S, size_t SIZE)'
     `string.h' (GNU):  Copying and Concatenation.

`char * strndup (const char *S, size_t SIZE)'
     `string.h' (GNU):  Copying and Concatenation.

`char * strpbrk (const char *STRING, const char *STOPSET)'
     `string.h' (ISO):  Search Functions.

`char * strrchr (const char *STRING, int C)'
     `string.h' (ISO):  Search Functions.

`char * strsep (char **STRING_PTR, const char *DELIMITER)'
     `string.h' (BSD):  Finding Tokens in a String.

`char * strsignal (int SIGNUM)'
     `string.h' (GNU):  Signal Messages.

`size_t strspn (const char *STRING, const char *SKIPSET)'
     `string.h' (ISO):  Search Functions.

`char * strstr (const char *HAYSTACK, const char *NEEDLE)'
     `string.h' (ISO):  Search Functions.

`double strtod (const char *STRING, char **TAILPTR)'
     `stdlib.h' (ISO):  Parsing of Floats.

`float strtof (const char *STRING, char **TAILPTR)'
     `stdlib.h' (GNU):  Parsing of Floats.

`char * strtok (char *NEWSTRING, const char *DELIMITERS)'
     `string.h' (ISO):  Finding Tokens in a String.

`char * strtok_r (char *NEWSTRING, const char *DELIMITERS, char **SAVE_PTR)'
     `string.h' (POSIX):  Finding Tokens in a String.

`long double strtold (const char *STRING, char **TAILPTR)'
     `stdlib.h' (GNU):  Parsing of Floats.

`long int strtol (const char *STRING, char **TAILPTR, int BASE)'
     `stdlib.h' (ISO):  Parsing of Integers.

`long long int strtoll (const char *STRING, char **TAILPTR, int BASE)'
     `stdlib.h' (GNU):  Parsing of Integers.

`long long int strtoq (const char *STRING, char **TAILPTR, int BASE)'
     `stdlib.h' (BSD):  Parsing of Integers.

`unsigned long int strtoul (const char *STRING, char **TAILPTR, int BASE)'
     `stdlib.h' (ISO):  Parsing of Integers.

`unsigned long long int strtoull (const char *STRING, char **TAILPTR, int BASE)'
     `stdlib.h' (GNU):  Parsing of Integers.

`unsigned long long int strtouq (const char *STRING, char **TAILPTR, int BASE)'
     `stdlib.h' (BSD):  Parsing of Integers.

`struct dirent'
     `dirent.h' (POSIX.1):  Directory Entries.

`struct flock'
     `fcntl.h' (POSIX.1):  File Locks.

`struct group'
     `grp.h' (POSIX.1):  Group Data Structure.

`struct hostent'
     `netdb.h' (BSD):  Host Names.

`struct in_addr'
     `netinet/in.h' (BSD):  Host Address Data Type.

`struct itimerval'
     `sys/time.h' (BSD):  Setting an Alarm.

`struct lconv'
     `locale.h' (ISO):  Numeric Formatting.

`struct linger'
     `sys/socket.h' (BSD):  Socket-Level Options.

`struct msghdr'
     `sys/socket.h' (BSD):  Receiving Datagrams.

`struct mstats'
     `malloc.h' (GNU):  Statistics of Malloc.

`struct netent'
     `netdb.h' (BSD):  Networks Database.

`struct obstack'
     `obstack.h' (GNU):  Creating Obstacks.

`struct option'
     `getopt.h' (GNU):  Long Options.

`struct passwd'
     `pwd.h' (POSIX.1):  User Data Structure.

`struct printf_info'
     `printf.h' (GNU):  Conversion Specifier Options.

`struct protoent'
     `netdb.h' (BSD):  Protocols Database.

`struct rlimit'
     `sys/resource.h' (BSD):  Limits on Resources.

`struct rusage'
     `sys/resource.h' (BSD):  Resource Usage.

`struct servent'
     `netdb.h' (BSD):  Services Database.

`struct sigaction'
     `signal.h' (POSIX.1):  Advanced Signal Handling.

`struct sigaltstack'
     `signal.h' (BSD):  Signal Stack.

`struct sigstack'
     `signal.h' (BSD):  Signal Stack.

`struct sigvec'
     `signal.h' (BSD):  BSD Handler.

`struct sockaddr'
     `sys/socket.h' (BSD):  Address Formats.

`struct sockaddr_in'
     `netinet/in.h' (BSD):  Internet Address Format.

`struct sockaddr_un'
     `sys/un.h' (BSD):  File Namespace Details.

`struct stat'
     `sys/stat.h' (POSIX.1):  Attribute Meanings.

`struct termios'
     `termios.h' (POSIX.1):  Mode Data Types.

`struct timeval'
     `sys/time.h' (BSD):  High-Resolution Calendar.

`struct timezone'
     `sys/time.h' (BSD):  High-Resolution Calendar.

`struct tm'
     `time.h' (ISO):  Broken-down Time.

`struct tms'
     `sys/times.h' (POSIX.1):  Detailed CPU Time.

`struct utimbuf'
     `time.h' (POSIX.1):  File Times.

`struct utsname'
     `sys/utsname.h' (POSIX.1):  Hardware/Software Type ID.

`size_t strxfrm (char *TO, const char *FROM, size_t SIZE)'
     `string.h' (ISO):  Collation Functions.

`_SVID_SOURCE'
     (GNU):  Feature Test Macros.

`int SV_INTERRUPT'
     `signal.h' (BSD):  BSD Handler.

`int SV_ONSTACK'
     `signal.h' (BSD):  BSD Handler.

`int SV_RESETHAND'
     `signal.h' (Sun):  BSD Handler.

`int symlink (const char *OLDNAME, const char *NEWNAME)'
     `unistd.h' (BSD):  Symbolic Links.

`long int sysconf (int PARAMETER)'
     `unistd.h' (POSIX.1):  Sysconf Definition.

`int system (const char *COMMAND)'
     `stdlib.h' (ISO):  Running a Command.

`double tanh (double X)'
     `math.h' (ISO):  Hyperbolic Functions.

`double tan (double X)'
     `math.h' (ISO):  Trig Functions.

`int tcdrain (int FILEDES)'
     `termios.h' (POSIX.1):  Line Control.

`tcflag_t'
     `termios.h' (POSIX.1):  Mode Data Types.

`int tcflow (int FILEDES, int ACTION)'
     `termios.h' (POSIX.1):  Line Control.

`int tcflush (int FILEDES, int QUEUE)'
     `termios.h' (POSIX.1):  Line Control.

`int tcgetattr (int FILEDES, struct termios *TERMIOS-P)'
     `termios.h' (POSIX.1):  Mode Functions.

`pid_t tcgetpgrp (int FILEDES)'
     `unistd.h' (POSIX.1):  Terminal Access Functions.

`TCSADRAIN'
     `termios.h' (POSIX.1):  Mode Functions.

`TCSAFLUSH'
     `termios.h' (POSIX.1):  Mode Functions.

`TCSANOW'
     `termios.h' (POSIX.1):  Mode Functions.

`TCSASOFT'
     `termios.h' (BSD):  Mode Functions.

`int tcsendbreak (int FILEDES, int DURATION)'
     `termios.h' (POSIX.1):  Line Control.

`int tcsetattr (int FILEDES, int WHEN, const struct termios *TERMIOS-P)'
     `termios.h' (POSIX.1):  Mode Functions.

`int tcsetpgrp (int FILEDES, pid_t PGID)'
     `unistd.h' (POSIX.1):  Terminal Access Functions.

`off_t telldir (DIR *DIRSTREAM)'
     `dirent.h' (BSD):  Random Access Directory.

`TEMP_FAILURE_RETRY (EXPRESSION)'
     `unistd.h' (GNU):  Interrupted Primitives.

`char * tempnam (const char *DIR, const char *PREFIX)'
     `stdio.h' (SVID):  Temporary Files.

`time_t time (time_t *RESULT)'
     `time.h' (ISO):  Simple Calendar Time.

`clock_t times (struct tms *BUFFER)'
     `sys/times.h' (POSIX.1):  Detailed CPU Time.

`time_t'
     `time.h' (ISO):  Simple Calendar Time.

`long int timezone'
     `time.h' (SVID):  Time Zone Functions.

`FILE * tmpfile (void)'
     `stdio.h' (ISO):  Temporary Files.

`int TMP_MAX'
     `stdio.h' (ISO):  Temporary Files.

`char * tmpnam (char *RESULT)'
     `stdio.h' (ISO):  Temporary Files.

`char * tmpnam_r (char *RESULT)'
     `stdio.h' (GNU):  Temporary Files.

`int toascii (int C)'
     `ctype.h' (SVID, BSD):  Case Conversion.

`int _tolower (int C)'
     `ctype.h' (SVID):  Case Conversion.

`int tolower (int C)'
     `ctype.h' (ISO):  Case Conversion.

`tcflag_t TOSTOP'
     `termios.h' (POSIX.1):  Local Modes.

`int _toupper (int C)'
     `ctype.h' (SVID):  Case Conversion.

`int toupper (int C)'
     `ctype.h' (ISO):  Case Conversion.

`TRY_AGAIN'
     `netdb.h' (BSD):  Host Names.

`char * ttyname (int FILEDES)'
     `unistd.h' (POSIX.1):  Is It a Terminal.

`char * tzname [2]'
     `time.h' (POSIX.1):  Time Zone Functions.

`int TZNAME_MAX'
     `limits.h' (POSIX.1):  General Limits.

`void tzset (void)'
     `time.h' (POSIX.1):  Time Zone Functions.

`UCHAR_MAX'
     `limits.h' (ISO):  Range of Type.

`uid_t'
     `sys/types.h' (POSIX.1):  Reading Persona.

`UINT_MAX'
     `limits.h' (ISO):  Range of Type.

`ULONG_LONG_MAX'
     `limits.h' (ISO):  Range of Type.

`ULONG_MAX'
     `limits.h' (ISO):  Range of Type.

`mode_t umask (mode_t MASK)'
     `sys/stat.h' (POSIX.1):  Setting Permissions.

`int uname (struct utsname *INFO)'
     `sys/utsname.h' (POSIX.1):  Hardware/Software Type ID.

`int ungetc (int C, FILE *STREAM)'
     `stdio.h' (ISO):  How Unread.

`union wait'
     `sys/wait.h' (BSD):  BSD Wait Functions.

`int unlink (const char *FILENAME)'
     `unistd.h' (POSIX.1):  Deleting Files.

`USHRT_MAX'
     `limits.h' (ISO):  Range of Type.

`int utime (const char *FILENAME, const struct utimbuf *TIMES)'
     `time.h' (POSIX.1):  File Times.

`int utimes (const char *FILENAME, struct timeval TVP[2])'
     `sys/time.h' (BSD):  File Times.

`va_alist'
     `varargs.h' (Unix):  Old Varargs.

`TYPE va_arg (va_list AP, TYPE)'
     `stdarg.h' (ISO):  Argument Macros.

`va_dcl'
     `varargs.h' (Unix):  Old Varargs.

`void va_end (va_list AP)'
     `stdarg.h' (ISO):  Argument Macros.

`va_list'
     `stdarg.h' (ISO):  Argument Macros.

`void * valloc (size_t SIZE)'
     `malloc.h', `stdlib.h' (BSD):  Aligned Memory Blocks.

`int vasprintf (char **PTR, const char *TEMPLATE, va_list AP)'
     `stdio.h' (GNU):  Variable Arguments Output.

`void va_start (va_list AP)'
     `varargs.h' (Unix):  Old Varargs.

`void va_start (va_list AP, LAST-REQUIRED)'
     `stdarg.h' (ISO):  Argument Macros.

`int VDISCARD'
     `termios.h' (BSD):  Other Special.

`int VDSUSP'
     `termios.h' (BSD):  Signal Characters.

`int VEOF'
     `termios.h' (POSIX.1):  Editing Characters.

`int VEOL2'
     `termios.h' (BSD):  Editing Characters.

`int VEOL'
     `termios.h' (POSIX.1):  Editing Characters.

`int VERASE'
     `termios.h' (POSIX.1):  Editing Characters.

`pid_t vfork (void)'
     `unistd.h' (BSD):  Creating a Process.

`int vfprintf (FILE *STREAM, const char *TEMPLATE, va_list AP)'
     `stdio.h' (ISO):  Variable Arguments Output.

`int vfscanf (FILE *STREAM, const char *TEMPLATE, va_list AP)'
     `stdio.h' (GNU):  Variable Arguments Input.

`int VINTR'
     `termios.h' (POSIX.1):  Signal Characters.

`int VKILL'
     `termios.h' (POSIX.1):  Editing Characters.

`int VLNEXT'
     `termios.h' (BSD):  Other Special.

`int VMIN'
     `termios.h' (POSIX.1):  Noncanonical Input.

`int vprintf (const char *TEMPLATE, va_list AP)'
     `stdio.h' (ISO):  Variable Arguments Output.

`int VQUIT'
     `termios.h' (POSIX.1):  Signal Characters.

`int VREPRINT'
     `termios.h' (BSD):  Editing Characters.

`int vscanf (const char *TEMPLATE, va_list AP)'
     `stdio.h' (GNU):  Variable Arguments Input.

`int vsnprintf (char *S, size_t SIZE, const char *TEMPLATE, va_list AP)'
     `stdio.h' (GNU):  Variable Arguments Output.

`int vsprintf (char *S, const char *TEMPLATE, va_list AP)'
     `stdio.h' (ISO):  Variable Arguments Output.

`int vsscanf (const char *S, const char *TEMPLATE, va_list AP)'
     `stdio.h' (GNU):  Variable Arguments Input.

`int VSTART'
     `termios.h' (POSIX.1):  Start/Stop Characters.

`int VSTATUS'
     `termios.h' (BSD):  Other Special.

`int VSTOP'
     `termios.h' (POSIX.1):  Start/Stop Characters.

`int VSUSP'
     `termios.h' (POSIX.1):  Signal Characters.

`int VTIME'
     `termios.h' (POSIX.1):  Noncanonical Input.

`int VWERASE'
     `termios.h' (BSD):  Editing Characters.

`pid_t wait3 (union wait *STATUS-PTR, int OPTIONS, struct rusage *USAGE)'
     `sys/wait.h' (BSD):  BSD Wait Functions.

`pid_t wait4 (pid_t PID, int *STATUS-PTR, int OPTIONS, struct rusage *USAGE)'
     `sys/wait.h' (BSD):  Process Completion.

`pid_t wait (int *STATUS-PTR)'
     `sys/wait.h' (POSIX.1):  Process Completion.

`pid_t waitpid (pid_t PID, int *STATUS-PTR, int OPTIONS)'
     `sys/wait.h' (POSIX.1):  Process Completion.

`WCHAR_MAX'
     `limits.h' (GNU):  Range of Type.

`wchar_t'
     `stddef.h' (ISO):  Wide Char Intro.

`int WCOREDUMP (int STATUS)'
     `sys/wait.h' (BSD):  Process Completion Status.

`size_t wcstombs (char *STRING, const wchar_t WSTRING, size_t SIZE)'
     `stdlib.h' (ISO):  Wide String Conversion.

`int wctomb (char *STRING, wchar_t WCHAR)'
     `stdlib.h' (ISO):  Converting One Char.

`int WEXITSTATUS (int STATUS)'
     `sys/wait.h' (POSIX.1):  Process Completion Status.

`int WIFEXITED (int STATUS)'
     `sys/wait.h' (POSIX.1):  Process Completion Status.

`int WIFSIGNALED (int STATUS)'
     `sys/wait.h' (POSIX.1):  Process Completion Status.

`int WIFSTOPPED (int STATUS)'
     `sys/wait.h' (POSIX.1):  Process Completion Status.

`int W_OK'
     `unistd.h' (POSIX.1):  Testing File Access.

`int wordexp (const char *WORDS, wordexp_t *WORD-VECTOR-PTR, int FLAGS)'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`wordexp_t'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`void wordfree (wordexp_t *WORD-VECTOR-PTR)'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`WRDE_APPEND'
     `wordexp.h' (POSIX.2):  Flags for Wordexp.

`WRDE_BADCHAR'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`WRDE_BADVAL'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`WRDE_CMDSUB'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`WRDE_DOOFFS'
     `wordexp.h' (POSIX.2):  Flags for Wordexp.

`WRDE_NOCMD'
     `wordexp.h' (POSIX.2):  Flags for Wordexp.

`WRDE_NOSPACE'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`WRDE_REUSE'
     `wordexp.h' (POSIX.2):  Flags for Wordexp.

`WRDE_SHOWERR'
     `wordexp.h' (POSIX.2):  Flags for Wordexp.

`WRDE_SYNTAX'
     `wordexp.h' (POSIX.2):  Calling Wordexp.

`WRDE_UNDEF'
     `wordexp.h' (POSIX.2):  Flags for Wordexp.

`ssize_t write (int FILEDES, const void *BUFFER, size_t SIZE)'
     `unistd.h' (POSIX.1):  I/O Primitives.

`int WSTOPSIG (int STATUS)'
     `sys/wait.h' (POSIX.1):  Process Completion Status.

`int WTERMSIG (int STATUS)'
     `sys/wait.h' (POSIX.1):  Process Completion Status.

`int X_OK'
     `unistd.h' (POSIX.1):  Testing File Access.

`_XOPEN_SOURCE'
     (XOPEN):  Feature Test Macros.